2015-06-27 John Ralls 

	* Get latest translations from the Translation Project. (HEAD, maint)

2015-06-16 Geert Janssens 

	* Bug 681225 - income statement displays blank base currency entries when trading account transactions are present during the report period (origin/maint)

2015-06-15 Geert Janssens 

	* Bug 739271 - pt_BR translation wrong word "limpesa". Should be "limpeza"

2015-06-15 Geert Janssens 

	* Bug 744858 - Update exchange rate on bill only possible once per session (after unpost/repost)

2015-06-13 Mark Haanen 

	* Updated Dutch translations

2015-06-13 Geert Janssens 

	* Bug 746792 - process payment in foreign currency leads to broken equation

2015-06-13 Geert Janssens 

	* Bug 746792 - process payment in foreign currency leads to broken equation

2015-06-02 Mike Evans 

	* Bug 734183 - Set value to zero before calling gnc_exp_parser_parse.

2015-05-31 Geert Janssens 

	* Bug 746163 - Custom register colors (table rows) not recognized from .gtkrc-2.0.gnucash file

2015-05-29 Joe Hansen 

	* Updated Danish translation

2015-05-16 Geert Janssens 

	* Fix hidden panes in lot viewer

2015-05-08 Geert Janssens 

	* Bug 746873 - Gnucash asks sql passwords before wallet password

2015-04-28 Geert Janssens 

	* Bug 746873 - Gnucash asks sql passwords before wallet password

2015-04-28 John Ralls 

	* Fix some abs() errors from new clang and gcc versions. (manjusri/maint)

2015-04-28 Geert Janssens 

	* Add missing language in configure.ac

2015-04-28 Мирослав Николић 

	* New translation: serbian

2015-04-25 Bill Nottingham 

	* Bug 747812 - unset LDFLAGS when unsetting CFLAGS

2015-04-25 Geert Janssens 

	* Fix dbi driver detection on linux and similar

2015-04-22 Mechtilde 

	* Update of de.po

2015-04-22 Christian Stimming 

	* Cutecash: Switch from guile to xml to manage our iso-currencies source file

2014-12-02 Frank H. Ellenberger 

	* Improve "Auto pay on posting" message

2015-04-12 Christian Stimming 

	* Bug 747377: Fix overly restrictive input validation for IBAN of SEPA transfer.

2015-04-10 Frank H. Ellenberger 

	* Note in txf-help*.scm that changes should be applied to gnucash-docs/help/*/Help_txf-categories.xml

2015-04-08 Alex Aycinena 

	* Bug 740955 - Correct general journal and general ledger reports to properly handle Use-Split-Action-For-Num option in File->Properties.

2015-04-03 John Ralls 

	* Bug 747300 - SQL backend missing from most recent DMG?

2015-04-03 Joe Hansen 

	* Updated Danish translation

2015-04-03 Geert Janssens 

	* Enable travis continuous integration tests on the gnucash repository

2015-04-02 Mark Haanen 

	* Updated Dutch translation

2015-03-31 John Ralls 

	* Change gtk-mac-integration package name and includes.

2015-03-31 John Ralls 

	* Re-commit ja.po edits inadvertently overwritten during release.

2015-03-31 Frank H. Ellenberger 

	* Build system: Rename SCM_TYPE to VCS_TYPE

2015-03-30 Frank H. Ellenberger 

	* Build system: rename gnc-scm-info to gnc-vcs-info

2015-03-30 Frank H. Ellenberger 

	* Build system: Rename BUILDING_FROM_SCM to BUILDING_FROM_VCS

2015-03-30 John Ralls 

	* Update NEWS and ChangeLog to include Bug 746977 and fix some typos. (tag: 2.6.6a)

2015-03-30 Geert Janssens 

	* Updated Danish translation from the translation project

2015-03-30 Simon Arlott 

	* Bug 746977 - scm ccache files should be in pkglibdir not pkgdatadir

2015-03-28 Geert Janssens 

	* Fix bzr/svk copy/paste typo

2015-03-28 Geert Janssens 

	* Check proper env variable in gnc-scm-info

2015-03-28 John Ralls 

	* Remove extraneous path noise from translation project files. (tag: 2.6.6)

2015-03-28 John Ralls 

	* Add more scheme symlinks plus a better explanation of why they're needed.

2015-03-28 John Ralls 

	* Protect the function tests from -Werror passed in from CFLAGS.

2015-03-27 John Ralls 

	* Bump Version to 2.6.6 for release.

2015-03-24 Mark Haanen 

	* Updated Dutch translation.

2015-03-21 John Ralls 

	* Bug 746517 - gnc-sql-backend.c compile fails with -Werror=format-nonliteral

2015-03-20 Frank H. Ellenberger 

	* Fix minor I18n issues

2015-03-14 Mechtilde Stehmann 

	* Update de.po

2015-03-14 John Ralls 

	* Bug 742089 - Decimal places

2015-03-13 Javier Serrador 

	* Bug 742164 - Updated Spanish translation

2015-03-13 John Ralls 

	* Bug 745265 - Segfault in generate_statusbar_lastmodified_message on Windows

2015-03-13 Frank H. Ellenberger 

	* html-utilities.scm: Tell the user, where to select account.

2015-03-12 Chandrakant Dhutadmal 

	* Bug 745598 - GNUCash Translation for Manipuri Language - Bengali Script

2015-03-11 Sangeeta 

	* Bug 745596 - GNUCash Translation for Maithili Language

2015-03-11 John Ralls 

	* Bug 745265 - Segfault in generate_statusbar_lastmodified_message on Windows

2015-03-10 Chandrakant Dhutadmal 

	* Bug 745597 - GNUCash Translation for Manipuri Language - Meetei Mayek Script (New)

2015-03-08 Cristian Marchi 

	* Update Danish translation from the translation project

2015-03-04 gnucash-dev 

	* To fix build error: ISO C90 forbids mixed declarations and code

2015-03-04 Geert Janssens 

	* Stop checking for F::Q dependencies

2015-03-01 Mike Alexander 

	* Bug 745354: Enhance the Find Transactions dialog

2015-02-27 Geert Janssens 

	* Remove absolute paths in es.po

2015-02-23 Alex Aycinena 

	* Correct the number field displayed in the reconcile window to correspond with the source specified in File->Options.

2015-02-23 Mike Alexander 

	* Fix some bugs found by SWIG version 3.0.5. Prior to version 3.0.3 SWIG silently ignored invalid preprocessor directives. See <https://github.com/swig/swig/issues/217>

2015-02-23 Geert Janssens 

	* Bug 723409 - Incorrect symbol for Turkish lira

2015-02-23 Geert Janssens 

	* Add some verbosity to scrubbing

2015-02-22 Geert Janssens 

	* Add scrubbing function to recover dangling lot links and payments

2015-02-21 Geert Janssens 

	* Fix potential infinite loop in business lot scrubbing

2015-02-11 Geert Janssens 

	* Bug 733685 - Fancy Date Format doesn't stick

2015-02-10 Mike 

	* Bug 649933 - Creating cash flow report takes a long time

2015-02-09 Geert Janssens 

	* Updated Danish translation. From the translation project.

2015-02-09 John Ralls 

	* Remove explicit install of Finance::Quote dependencies.

2015-02-07 Geert Janssens 

	* Bug 727466 - The symbol of CNY changed to 元

2015-02-07 Geert Janssens 

	* Bug 727466 - The symbol of CNY changed to 元

2015-02-03 Robert Fewell 

	* Bug 743807 Stops critical error messages.

2015-02-03 Robert Fewell 

	* Bug 743807 Wrong date value being used.

2015-02-02 John Ralls 

	* Remove build and run of no-longer-existant intl-scm/guile-strings.

2015-01-31 Geert Janssens 

	* Bug 731889 - guile 2 exports different autoconf macros than what is expected

2015-01-29 John Ralls 

	* Bug 731889 - guile 2 exports different autoconf macros than what is expected

2011-05-31 Geert Janssens 

	* Bug 619899 - Use normal gettext or intltool toolchain also for scm files

2015-01-30 Geert Janssens 

	* Rewrite gnc-test-env in perl

2015-01-29 Geert Janssens 

	* Switch from guile to xml to manage our iso-currencies source file

2015-01-29 Geert Janssens 

	* Bug 743609 - Add configure options to disable libsecret detection

2015-01-28 Geert Janssens 

	* Bug 727647 - "gncInvoiceGetTotal" is not read-only function?

2015-01-25 Mike Evans 

	* Bug 721196 - Use a regex for checking for a valid numeric value.

2015-01-25 Mike Evans 

	* Numeric values with more than commodity smallest fraction get silently dropped.

2015-01-24 Geert Janssens 

	* Bug 742624 - [patch] Scheduled Transaction Editor results in immediate segfault

2015-01-24 Geert Janssens 

	* Bug 731889 - guile 2 exports different autoconf macros than what is expected

2015-01-20 gnucash-dev 

	* Update US Income Tax data to reflect minor changes for 2014

2015-01-20 Mike Alexander 

	* Advanced portfolio should respect report date when looking for other income/expense.

2015-01-19 Christian Stimming 

	* Update German translation to recent pot template. Very minor translation update.

2014-11-24 Mike Alexander 

	* book.not_saved should be book.session_not_saved

2015-01-18 Mike Alexander 

	* Bug 739228 -  Advanced Portfolio report: wrong calculation of Value Correctly convert the value into the report's currency.

2015-01-18 Mike Alexander 

	* Improve income and expense reporting in advanced portfolio report

2014-11-23 Mike Alexander 

	* Accept prices of the form n.nnne[+-]nn, i.e. with an exponent. An example requiring this is currency conversion from IDR to USD.

2015-01-18 Geert Janssens 

	* Use the enum name instead of a number for GDateMonth

2015-01-04 Markus Blatt 

	* [Bug 742332] - German tax report uses US tax quarters and not real quarters.

2015-01-15 Romas 

	* Added Lithuanian language business accounts

2015-01-11 John Ralls 

	* Bug 672760 - Postponed transaction applied invalid date

2015-01-11 John Ralls 

	* Bug 672760 - Postponed transaction applied invalid date

2015-01-11 John Ralls 

	* Bug 672760 - Postponed transaction applied invalid date, causing segfault

2015-01-11 Mike Evans 

	* Bug 721196 - Fixed for locales where decimal point is a comma.

2014-10-19 Ralf Habacker 

	* Bug 738749 - Broken account template en_GB/uk-vat.gnucash-xea.

2014-12-29 Geert Janssens 

	* Revert "Bug 740471 -  Applying payment to invoice Segmentation fault"

2014-12-26 John Ralls 

	* Fix typo in Transaction.c.

2014-12-24 Geert Janssens 

	* Revisit "Bug 741810 - Compilation fails because of creating .gnucash"

2014-12-23 John Ralls 

	* Extract function to clarify intent.

2014-12-22 John Ralls 

	* Bug 741228 - "Red line" threshold applies to Template scheduled transactions

2014-12-10 Mike Alexander 

	* Tell Guile (and others) to look in install/lib/gnucash for libraries. Without this Guile can't find libgncmod-engine and GnuCash won't start. I don't know how this worked before, perhaps because the correct path was in src/bin/overrides/gnucash-env.in

2014-12-23 Francisco 

	* Update Spanish translation

2014-12-23 Geert Janssens 

	* Cherry-pick "Bug 741810 - Compilation fails because of creating .gnucash"

2014-12-10 Mike Alexander 

	* Tell Guile (and others) to look in install/lib/gnucash for ligraries. Without this Guile can't find libgncmod-engine and GnuCash won't start, at least sometimes.

2014-12-21 John Ralls 

	* Replace GNC_HOME/bin with gnc_path_get_bindir().

2014-12-21 John Ralls 

	* Adjust #ifdef __clang__ to exclude clang versions > 6

2014-12-21 John Ralls 

	* Bug 739584 - gnucash-2.6.4 segfaults regularly on transfer .

2014-12-21 John Ralls 

	* Fix Guile compiled path in environment.in

2014-12-21 John Ralls 

	* Remove note from the top of environment.in. It's obsolete.

2014-12-06 Geert Janssens 

	* Bug 740471 -  Applying payment to invoice Segmentation fault

2014-12-06 Geert Janssens 

	* Bug 740471 -  Applying payment to invoice Segmentation fault

2014-12-06 Geert Janssens 

	* Bug 740471 -  Applying payment to invoice Segmentation fault

2014-12-20 Geert Janssens 

	* Fix crash when running check & repair on an open AP/AR register

2014-12-18 John Ralls 

	* Update News for re-tag of 2.6.5 (tag: 2.6.5a)

2014-12-17 Geert Janssens 

	* Fix lot scrubbing for business lots

2014-12-17 Geert Janssens 

	* Improve comment for gncOwnerAutoApplyPaymentsWithLots

2014-12-15 John Ralls 

	* Release 2.6.5. (tag: 2.6.5)

2014-12-15 John Ralls 

	* Fix msgfmt errors in Indian-language .po files.

2014-12-15 John Ralls 

	* Update translation project po files.

2014-12-14 John Ralls 

	* Still more Guile library path additions, this time in tests. (manjusri-maint/maint)

2014-12-14 John Ralls 

	* Use standard macro INT64_C() to silence gcc-4.2 complaint

2014-12-14 John Ralls 

	* Correct inadvertent change to a still-needed function.

2014-12-13 John Ralls 

	* Remove Windows specializations from gnc-date.c

2014-12-12 John Ralls 

	* Still more Guile precompilation fixes.

2014-12-08 Mike Alexander 

	* Fix line endings in repository to match recent change to .gitattributes

2014-12-08 VERDOÏA Laurent 

	* French typo correction

2014-12-05 Frank H. Ellenberger 

	* Add ChangeLog.2013 to dist_doc_DATA

2014-12-02 Frank H. Ellenberger 

	* Update of de.po: 152 + 38 remaining

2014-12-03 Geert Janssens 

	* Yet another guile 2 precompile fix of the German tax report

2014-12-03 Geert Janssens 

	* Fix guile 2 precompilation of German tax report

2014-12-02 John Ralls 

	* Guile compilation: One missed CLEANFILES.

2014-12-02 John Ralls 

	* Fix the *.win32-bin.txt and downloaded.mt940 attributes.

2014-12-02 John Ralls 

	* Guile precompilation: One more missing library-dir.

2014-12-02 John Ralls 

	* Reapply fix of Guile precompilation without unwanted change in gnc-numeric.c.

2014-12-02 John Ralls 

	* Revert "Fix Guile-2.0 precompilation."

2014-12-01 John Ralls 

	* Fix Guile-2.0 precompilation.

2014-12-01 Frank H. Ellenberger 

	* Update of de.po: 351 +50 remaining

2014-11-30 John Ralls 

	* Bug 738477 - WebKit is broken on Win32.

2014-11-30 Frank H. Ellenberger 

	* Update of de.po -still 530 + 53 to review

2014-11-24 Geert Janssens 

	* Python bindings - fix creation of new xml files

2014-11-17 Geert Janssens 

	* Fix a few typos in python example scripts and align them with the latest api changes

2014-11-17 Geert Janssens 

	* Fix build-time hard-coded path introduced by the guile2 compile changes

2014-11-17 Geert Janssens 

	* Prevent crash when standards-report dir doesn't exist

2014-11-12 Geert Janssens 

	* Fix parallel make for guile2 compilation

2014-11-12 Geert Janssens 

	* QIF Import crashes when closing via the 'X' button on the last page

2014-11-04 Geert Janssens 

	* Omit extension on calls to load-extension

2014-10-31 Geert Janssens 

	* Use one common base directory to store all scheme files and modules

2014-10-30 Geert Janssens 

	* Guile 2 pre-compilation improvements

2014-10-31 Geert Janssens 

	* Pre-compile scm files when building with guile 2

2014-10-28 Geert Janssens 

	* Guile module structure cleanup

2014-10-28 Geert Janssens 

	* Fix a few deprecation warnings when building and testing with guile 2

2014-10-28 Geert Janssens 

	* Harmonize variable names used to refer to guile modules in all makefiles

2014-10-15 Jeff Earickson 

	* Assamese Indic Language translation file (Devanagari script)

2014-10-15 Jeff Earickson 

	* Add Assamese Indic Language (as) to LINGUAS

2014-11-08 Cristian Marchi 

	* Update Italian translation.

2014-10-17 Sébastien Villemot 

	* Add missing comma in call to gtk_tree_store_set().

2014-10-26 Geert Janssens 

	* Rewrite old-fashioned makefile construct

2014-10-25 Geert Janssens 

	* Fix invocations of guile function 'load-from-path'

2014-10-21 Geert Janssens 

	* Fix some warnings found with msgfmt -c in the po files

2014-10-21 Geert Janssens 

	* Revert "Remove bare percent sign in taxinvoice.scm, replace with English."

2014-10-19 Jeff Earickson 

	* Indic Language Konkani translation in Latin script

2014-10-19 Jeff Earickson 

	* Add kok@latin to LINGUAS_ALL (Konkani in Latin script)

2014-10-19 Jeff Earickson 

	* Indic Language Gujarati Translation File

2014-10-19 Jeff Earickson 

	* Addition of Gujarati (gu) to LINGUAS_ALL po file list

2014-10-19 Jeff Earickson 

	* Indic Language Kannada Translation file

2014-10-19 Jeff Earickson 

	* Add kn (Kannada) to LINGUAS_ALL

2014-10-21 Geert Janssens 

	* Revert to using numerical indexes for the x-axis on bar charts

2014-10-15 Joe Hansen 

	* Updated Danish translation

2014-10-13 John Ralls 

	* Bug 738113 - Crash on reload budget report.

2014-10-12 Jeff Earickson 

	* Remove bare percent sign in taxinvoice.scm, replace with English.

2014-10-08 Christian Stimming 

	* Aqbanking: Add display of aqbanking subaccountid in initial correspondence setup

2014-09-26 Christian Stimming 

	* Aqbanking online SEPA transfer: Allow transfers without BIC, only IBAN. Also add IBAN checking.

2014-09-01 Christian Stimming 

	* Aqbanking transfer: Make IBAN and BIC text entry fields filter digits or alphas correctly as needed.

2014-10-13 Geert Janssens 

	* Some minor cosmetics in the barchart code

2014-10-13 Geert Janssens 

	* Redo the highlighter in barcharts.

2014-10-13 Geert Janssens 

	* Bug 737815 - Graphs cannot be generated correctly

2014-10-11 Carsten Rinke 

	* Bug737815 - Graphs Cannot Be Generated Correctly

2014-10-13 Frank H. Ellenberger 

	* Add report forms T-Account/Vertical and account types Active/Passive to glossary.

2014-10-06 John Ralls 

	* Bug 736359 - Date of 0000-00-00 in MySQL backend crashes GnuCash

2014-10-06 John Ralls 

	* Update Farsi translation from the Translation Project.

2014-10-02 Ralf Habacker 

	* Adapt german SKR03 account template to updated tax rate.

2014-10-02 Frank H. Ellenberger 

	* Allow GUILE1_PROGS as m4 name

2014-09-30 John Ralls 

	* Fix a bunch of non-literal-null-conversion warnings.

2014-09-30 John Ralls 

	* Add sv_AX, sv_FI, zh_HK, and zh_TW to Makefiles & configure.

2014-09-27 John Ralls 

	* Release 2.6.4 (tag: 2.6.4)

2014-09-27 John Ralls 

	* Ensure that the root account is saved to the SQL backend.

2014-09-20 Robert Fewell 

	* This patch allows the ability to skip rows when importing transactions.

2014-09-23 valdis 

	* Updated resource files for Latvian: po/lv.po and  accounts/lv/acctchrt_business.gnucash-xea

2014-09-27 Chenxiong Qi 

	* Bug 701052 - cannot click on 'cancel' or 'ok' button on dialogue box

2014-09-26 Jeff Earickson 

	* Repaired version of Marathi Language translation file

2014-09-26 Jeff Earickson 

	* Repaired version of latest Konkani language translation.

2014-09-25 Jeff Earickson 

	* Tamil Language Translation

2014-09-25 Jeff Earickson 

	* Deleted Raman language version of Konkani in favor of updated Devangari version.

2014-09-25 Jeff Earickson 

	* Updated translation of the Konkani Language.

2014-09-25 Jeff Earickson 

	* Updated Translation of the Bodo Language

2014-09-25 Jeff Earickson 

	* Added or updated the following Indic Language Translation Files:

2014-09-25 Jeff Earickson 

	* Urdu Language Translation file.

2014-09-25 Jeff Earickson 

	* Telugu Language Translation file.

2014-09-25 Jeff Earickson 

	* Marathi Language Translation File.

2014-09-25 Jeff Earickson 

	* Kashmiri Language translation file.

2014-09-25 Jeff Earickson 

	* Hindi Language Translation file

2014-09-26 Geert Janssens 

	* Rework assistant csv import regex code to eliminate the mandatory dummy field (#eol).

2014-09-26 Geert Janssens 

	* CSV Import transform macro into function

2014-09-26 Geert Janssens 

	* CSV Export: factor out function to generate regular expression

2014-09-25 Geert Janssens 

	* Refactor OS-specific ifdef to reduce code duplication

2014-09-19 Robert Fewell 

	* This patch just changes the white space to be of a consistent format.

2014-09-19 Robert Fewell 

	* Part Bug fix for 729476, this changes the line endings to \r\n to make it more compatible with CSV format.

2014-09-19 Robert Fewell 

	* Part Bug fix for 729476, this fixes the quoting of quotes, newlines and separator to make it more compatible with CSV format.

2014-09-19 Robert Fewell 

	* This patch fixes bug 731519. The fix sets the upper limit before it sets the value of the end row spin button.

2014-09-25 John Ralls 

	* Bug 736703 - Scheduled transaction are registered without credit/debit

2014-09-23 Geert Janssens 

	* Bug 630638 - 'Process payment' should allow to select equity accounts for payment

2014-09-23 Geert Janssens 

	* Use same test for payment dialog transfer accounts and assign as payment checks

2014-09-22 Geert Janssens 

	* Avoid undocumented dependency on progress page type in assistant to skip page

2014-09-22 Robert Fewell 

	* This patch fixes bug 726888, cancel button is available on all pages of assistant.

2014-09-22 Robert Fewell 

	* Use same default setting for quotes in csv import and export

2014-09-22 Geert Janssens 

	* Set default currency for French account chart templates

2014-09-22 Geert Janssens 

	* Convert ISO-8859-1 account chart templates to UTF-8

2014-09-22 Geert Janssens 

	* Add context to generic translatable string

2014-09-22 Geert Janssens 

	* Bug 671615 - French: 'New Customer' button in Find Customer dialog is translated to 'Nouvel onglet'

2014-09-22 Geert Janssens 

	* Bug 720427 - Review of french account templates

2014-09-21 John Ralls 

	* Bug 732545 - gnucash-2.6.3 segfaults when started

2014-09-21 Mark Haanen 

	* Update Dutch translation, copied from the Translation Project.

2014-09-21 Geert Janssens 

	* Rewrite gfec_eval_file to avoid opening the file itself in guile

2014-09-21 Geert Janssens 

	* Swap static functions so the lower one can reuse the upper one

2014-09-20 Geert Janssens 

	* Bug 711567 - Cannot save a custom report if a path contain diacritic chars

2014-09-19 Geert Janssens 

	* Bug 695240 - mortgage wizard empty table

2014-09-20 Geert Janssens 

	* Provide strfmon function for platforms that don't have it

2014-09-16 David Maline 

	* Bug 733506 - (ForwadDisableQIF) The forward button is not active even though a file is selected

2014-09-16 Jethro Beekman 

	* Bug 733283 - [PATCH] Loss of fractions when importing OFX investment transactions

2014-09-16 Geert Janssens 

	* Align perl module requirements with recent Finance::Quote versions

2014-09-06 Dmitry Pavlov 

	* Updated Russian translation from Dmitry Pavlov

2014-09-06 Chenxiong Qi 

	* - New Chart of Accounts Assistant is too large for screen

2014-09-06 Alex Aycinena 

	* Correct txf output to use a minus sign, rather than parenthesis, for debits, without regard to locale settings, as is required by the txf pseudo-standard; was previously incorrectly using parenthesis for negatives in Windows environments, for example.

2014-08-12 lmat 

	* Replace C++ reserved words for future compatibility with C++

2014-09-04 John Ralls 

	* SQL: Save commodity namespace changes from template

2014-09-03 hawk-lord 

	* Missing translation

2014-09-03 hawk-lord 

	* Added Swedish association accounts.

2014-09-03 hawk-lord 

	* Added Swedish account files

2014-09-02 Geert Janssens 

	* Add business lot scrubbing to Check & Repair->All/This transaction(s)

2014-08-28 Geert Janssens 

	* Make scrub in lot viewer scrub business lots using the new scrub functions.

2014-08-27 Geert Janssens 

	* Rewrite invoice payment logic to fix lot link proliferation

2014-08-27 Geert Janssens 

	* Refactor get_pay_split into gncOwnerFindOffsettingSplit

2014-08-26 Geert Janssens 

	* Refactor gncOwnerReduceSplitTo out of reduce_biggest_split

2014-08-26 Geert Janssens 

	* Refactor gnc_doc_doc_link into gncOwnerSetLotLinkMemo and move it

2014-08-26 Geert Janssens 

	* Handle the case of scrubbing a lot link between two non-document lots

2014-08-26 Geert Janssens 

	* Tweak the get_pay_split function to prefer the best possible match

2014-08-26 Geert Janssens 

	* Refactor scrub_doc_pay_link into scrub_other_link and make it more generic

2014-08-23 Geert Janssens 

	* Add scrub function to reduce the amount of lot links used.

2014-08-23 Geert Janssens 

	* Widen the scope of the subsplit merge scrub function

2014-08-23 Geert Janssens 

	* Move account type checking functions into the engine

2014-08-16 Geert Janssens 

	* Remove superfluous include statements

2014-08-16 Geert Janssens 

	* Small corrections in doxygen comments

2014-08-23 Geert Janssens 

	* More ENTER/LEAVE corrections at function exit points

2014-07-31 John Ralls 

	* Balance ENTER with a LEAVE for all exit points.

2014-09-02 Geert Janssens 

	* Bug 434462 - register color don't work correct with system theme color - Part 2

2014-08-30 Geert Janssens 

	* Bug 434462 - register color don't work correct with system theme color - Part 1

2014-08-30 Geert Janssens 

	* Rename enum elements to make room for foreground equivalents

2014-08-30 Geert Janssens 

	* Refactor register color functions to reduce duplication

2014-08-30 Geert Janssens 

	* Bug 711440 - Tab labels have different background colour than containing gui element

2014-09-01 Mike Alexander 

	* Bug 735769: Enable price and shares cells in a split if it is not in the trans currency. The label for the cells are changed to "Exch. Rate" and "Oth. Curr." in this case.

2014-09-01 Mike Alexander 

	* If the cursor moves from one register cell to another, refresh the register headers. If trading accounts are on and the transaction is expanded then the headers depend on the type of split the cursor is in.

2014-07-01 Mike Alexander 

	* Use guint64 instead of uint64_t with G_GUINT64_FORMAT to avoid warnings.

2014-08-31 Mike Alexander 

	* Change gncOwnerGetBalanceInCurrency to only cosider lots that contain an invoice. This function is currently only used in the owner tree code and this change will cause payments not properly linked to invoices to be ignored when computing owner balances.

2014-08-31 Mike Alexander 

	* Finish implementing the "Show zero balance owners" filter option. It always showed nothing before.

2014-08-31 Mike Alexander 

	* The sense of the "Only show active customers" checkbox was inverted.

2014-08-29 Geert Janssens 

	* Bug 707243 - Hard-coded font colors in account tree?

2014-08-14 Mike Alexander 

	* Bug 722140: Add option to control inclusion of trading accounts in cash flow report.

2014-08-07 John Ralls 

	* Fix test-backend-dbi segfault with libdbi-0.9.0.

2014-08-07 John Ralls 

	* Fix uninitialized variable warning.

2014-08-07 John Ralls 

	* Add note about automake 1.14 to configure.ac

2014-08-07 John Ralls 

	* Revert "Fix broken test-backend-dbi with libdbi 0.9."

2014-08-07 John Ralls 

	* Fix broken test-backend-dbi with libdbi 0.9.

2014-08-07 Mike Evans 

	* Bug 734183 - Set all of the denominators correctly on the currency values.

2014-08-03 Mike Evans 

	* Bill invoice importer crashing when invoice has multiple lines.

2014-06-28 Michalis Kamprianis 

	* Bug 120199 - Incorrect sort order in "Sort by Statement Date"

2014-08-01 Geert Janssens 

	* Revert "Bug #622778 Miscalculation in cashflow reports - Step 01"

2014-08-01 Geert Janssens 

	* Revert "Bug #622778 Miscalculation in cashflow reports - Step 02"

2014-08-01 Geert Janssens 

	* Revert "Bug #622778 Miscalculation in cashflow reports - Step 03"

2014-08-01 Geert Janssens 

	* Revert "Round properly when computing fraction of the transaction's value due to a given split."

2014-08-01 Geert Janssens 

	* Revert "The cash flow report should ignore splits in trading accounts."

2014-08-01 Erik Johansson 

	* Update Swedish translation

2014-07-13 Mike Alexander 

	* Bug 733107: Search for reconcile status doesn't work right.

2014-07-01 Geert Janssens 

	* Drop packaging/win32

2014-06-21 Geert Janssens 

	* First unit test for gncEntry and fix first bug it revealed

2014-06-21 Geert Janssens 

	* Fix whitespace

2014-06-21 Geert Janssens 

	* Revert "Bug726674-BudgetReverseSignSupport"

2014-06-10 Geert Janssens 

	* Bug 723442 - Report Options - Report Name too short

2014-03-26 Carsten Rinke 

	* Bug726674-BudgetReverseSignSupport

2014-06-01 Michalis Kamprianis 

	* Bug 719457 - Template for Home Mortgage Loan isn't properly nested.

2014-05-29 Christoph Holtermann 

	* Some adjustments, new IPython version

2014-06-09 John Ralls 

	* Fix signed int overflow warning.

2014-06-08 John Ralls 

	* double_to_gnc_numeric: Return overflow error immediately on invalid input.

2014-06-08 John Ralls 

	* Use more significant digits for SX function returns.

2014-06-08 John Ralls 

	* 725366 - Formula Parsing Error with Scheduled Mortgage Transactions

2014-05-29 Christoph Holtermann 

	* Python bindings - no instance necessary anymore

2014-06-01 Carsten Rinke 

	* Bug 720934 - Barcharts with many data points have overlapping x-axis labels

2014-06-03 Jeff Earickson 

	* New/revised version of the Brazilian Portuguese translation file, For version 2.6.3. Translator: Miguel Rozsas <miguel@rozsas.eng.br>

2014-06-05 John Ralls 

	* Fix broken build on 64-bit systems

2014-06-03 John Ralls 

	* 722200 - configure script does not pick the correct am_cv_scanf version

2014-06-02 John Ralls 

	* Fix broken win32 build; MinGW needs our strptime.

2014-06-02 John Ralls 

	* 722200 - configure script does not pick the correct am_cv_scanf version

2014-06-02 John Ralls 

	* Revert "722200 - configure script does not pick the correct am_cv_scanf version"

2014-06-02 John Ralls 

	* Revert "722200 - configure script does not pick the correct am_cv_scanf version"

2014-06-02 Mike Evans 

	* Merge branch 'maint' of https://github.com/Gnucash/gnucash into maint

2014-06-01 John Ralls 

	* 722200 - configure script does not pick the correct am_cv_scanf version

2014-06-02 Mike Evans 

	* Add some date format checking and make sure generated dates are the correct user selected format, not always locale format.

2014-06-02 Mike Evans 

	* Relax requirements for booleans in invoice line.

2014-06-01 John Ralls 

	* 722200 - configure script does not pick the correct am_cv_scanf version

2014-06-01 Mike Evans 

	* Bug 730255 - Python bindings: Assigns bill entries to non-existant invoice.

2014-05-15 Mike Evans 

	* Python bindings.  Add function gncVendorNextID, complementary to gncCustomerNextID.

2014-05-31 John Ralls 

	* 722200 - configure script does not pick the correct am_cv_scanf version

2014-05-27 John Ralls 

	* More fix-ups for the renumber subaccounts dialog.

2014-05-27 John Ralls 

	* Bug 725054 - Re-numbering sub accounts crashes the program

2014-05-26 John Ralls 

	* Bug 728717 - Ubuntu 14.04 - GNUcash crashes on close

2014-05-25 Mike Alexander 

	* Always use the price we display to calculate the current value of an account.

2014-05-10 Michalis Kamprianis 

	* Bug 719457 - Template for Home Mortgage Loan isn't properly nested.

2014-03-26 Frédéric Perrin 

	* Bug 723145 - Currency display does not respect locale

2014-05-04 Michalis Kamprianis 

	* Bug 728103 - Invoice opened does not contain the Job under circumstances

2014-04-30 Michalis Kamprianis 

	* Bug 509263 Since Last Run dialog won't allow resizing of Status column

2014-05-20 Geert Janssens 

	* Backport John's fix for a truly ancient bug

2014-05-20 Geert Janssens 

	* Merge branch 'scheduled_tx_i18n_prefix' of https://github.com/zeldigas/gnucash into maint

2014-05-19 Geert Janssens 

	* Bug 610202 - gnucash silently closes when no X11/$DISPLAY is present

2014-05-19 Dmitry Pavlov 

	* added context to ambigous i18n keys for scheduled transaction add/edit dialog

2014-05-13 Mike Alexander 

	* The cash flow report should ignore splits in trading accounts.

2014-05-13 Simon Arlott 

	* Bug 699687 - Add a configuration option to not display "since last run" window when opening a file

2014-05-13 Geert Janssens 

	* Fix regression in invoice pre-payments

2014-05-11 Michalis Kamprianis 

	* Bug 692249 - Add Help button in Custom Reports dialog box

2014-05-13 Geert Janssens 

	* Avoid defining the same translatable string twice

2014-04-29 Michalis Kamprianis 

	* Bug 729157 Bill Term discount days are allowed to be more than due days

2014-05-09 Geert Janssens 

	* Bug 688965 - Page Up, Page Down keys cause GnuCash to hang

2014-05-08 Geert Janssens 

	* Fix document type dispay for credit notes on owner report

2014-05-08 Amm 

	* Better period totals formatting

2014-05-05 Mike Alexander 

	* Don't nest AC_MSG_CHECKING calls, it produces confuing output.

2014-05-05 Colin 

	* Fix crash initialising dbi if libdbi version >= 0.9.0

2014-05-05 Geert Janssens 

	* Revert "Fix crash with libdib >= 0.9.0"

2014-05-05 Geert Janssens 

	* Bug 729497 - Saved Report Configuration selection window resize

2014-05-05 Geert Janssens 

	* Fix crash with libdib >= 0.9.0

2014-05-02 Mike Alexander 

	* Better test for conflict between optimization and FORTIFY_SOURCE

2014-05-02 Geert Janssens 

	* Add _FORTIFY_SOURCE directive only when compiling with optimization enabled

2014-04-28 Jeff Earickson 

	* The Dogri language in Devanagari Script.

2014-04-28 Jeff Earickson 

	* Addition of the Dogri language (doi) to LINGUAS

2014-04-28 Jeff Earickson 

	* Addition of the Bodo language translation file, in Devanagari script

2014-04-28 Jeff Earickson 

	* Addition of the Bodo language (brx) in Devanagari Script.

2014-04-28 Geert Janssens 

	* Revert error on warning default when building from svn

2014-01-17 Gary Bilkus 

	* Win32: Fix problem in gnc-split-reg.h caused by earlier preprocessor define of DELETE etc

2014-01-17 Gary Bilkus 

	* Win32: Fix configure.ac to cope with new gcc not understanding no-undefined flag

2014-04-26 Mike Alexander 

	* Ignore SIGTTOU while importing Python console class.

2014-04-25 Mike Alexander 

	* Fix code that customizes parameters for specific gcc versions to agree with the comments.

2014-04-26 Geert Janssens 

	* Additional changes to column calculations

2014-04-25 Amish 

	* calculate num-columns-required correctly

2014-04-26 Geert Janssens 

	* Fix price quotes after removal of yahoo-get-historical-quotes

2014-04-24 Michalis Kamprianis 

	* Minor corrections

2014-04-16 Moritz Lipp 

	* Use libsecret if available

2014-04-24 Geert Janssens 

	* Prevent older gnucash versions from opening a data file if previously unhandled kvps are used

2014-04-24 Michalis Kamprianis 

	* Bug 728841 - XML backend does not always store KVP slots

2014-04-24 Geert Janssens 

	* Remove unused function yahoo-get-historical-quotes

2014-04-22 Jeff Earickson 

	* Gnucash translation into Konkani, shown in Latin script.

2014-04-22 Jeff Earickson 

	* Gnucash translation into Konkani in the Devanagari script.

2014-04-22 Jeff Earickson 

	* Added kok and kok@latin to LINGUAS: Konkani in Devanagari script and latin script translations.

2014-04-23 Geert Janssens 

	* Update Latvian translation

2014-04-23 Geert Janssens 

	* Add fixed EUR-LVL conversion rate to gnc_euro_rates

2014-04-07 Carsten Rinke 

	* Bug726449 - Budget Barchart does not show up if running sum is selected

2014-04-17 Moritz Lipp 

	* Correct usage of realloc in gnc_xml_be_get_file_lock

2014-04-15 Moritz Lipp 

	* Make compatible to libdbi >= 0.9.0

2014-04-13 John Ralls 

	* Re-enable loading and saving gnucashdotdir/accelerator-home on OSX

2014-04-15 Moritz Lipp 

	* Replace deprecated g_dirname

2014-04-07 Christian Stimming 

	* Win32 build: Update gwenhywfar version after it has been fixed for compiling with mingw.

2014-04-05 Cristian Marchi 

	* Small improvement to italian translation.

2014-04-05 Cristian Marchi 

	* Related to bug #727338: currency for Latvia is EUR.

2014-04-05 Cristian Marchi 

	* Update it translation and a small fix for account.

2014-04-05 Cristian Marchi 

	* Fix spaces for some strings not correctly picked up by xgettext.scm script.

2014-04-05 Cristian Marchi 

	* Bump copyright year

2014-04-05 Cristian Marchi 

	* Bug #727338 - Translation and Account file updates for Latvian.

2014-03-30 Carsten Rinke 

	* Bug727130 - Crash when newline in Report Title

2014-04-01 John Ralls 

	* Rename _git files to plain, fix links.

2014-04-01 John Ralls 

	* Remove svn-based build files

2014-04-01 John Ralls 

	* Write a timestamp log file at the beginning of a build on the server.

2014-03-31 Christian Stimming 

	* Win32: Update gwenhyhwfar/aqbanking again, but slightly more cautious (gwen-4.11.0 does not compile on win/mingw right now)

2014-03-30 John Ralls 

	* Revert "Win32 build: Update aqbanking version numbers" (tag: 2.6.3)

2014-03-30 John Ralls 

	* Revert "Win32: Roll back Gwenhywfar to 4.9.0 to resolve broken build."

2014-03-29 John Ralls 

	* Release 2.6.3

2014-03-29 John Ralls 

	* Work around some test issues.

2014-03-29 John Ralls 

	* Better error message for split value conversion

2014-03-28 John Ralls 

	* Win32: Roll back Gwenhywfar to 4.9.0 to resolve broken build.

2014-03-28 John Ralls 

	* Ensure that the autoconf and automake checked are the ones we install

2014-03-28 John Ralls 

	* Update Active Perl version to the one current "community edition".

2014-03-28 John Ralls 

	* Bug 724995 - Gnucash crashes due to assertion failed when opening sqlite file

2014-03-28 John Ralls 

	* Set Gnucash version and GNUCASH_RESAVE_VERSION in init_version_info

2014-03-26 Geert Janssens 

	* Improve preference name

2014-03-25 Geert Janssens 

	* Fix guile 2 stack overflow errors for large reports

2014-03-24 Mike Alexander 

	* Fix basis calculation for FIFO or LIFO when less than one lot is sold.

2014-03-24 John Ralls 

	* Bug 726891 - segmentation fault on session.end()

2014-03-24 John Ralls 

	* Fix dumb typo detected by a new Clang warning.

2014-03-19 Geert Janssens 

	* Bug 726430 - Python: account.getName() raises TypeError

2014-03-16 Mike Evans 

	* Bug 721196 - Cannot import lines with empty fields for deposit or withdrawal in bank transaction download.

2014-03-14 Cristian Marchi 

	* Update Italian translation.

2014-03-14 Cristian Marchi 

	* Updated Danish translation from the translation project.

2014-03-14 Cristian Marchi 

	* Updated Catalan translation from the translation project.

2014-03-12 Derek Atkins 

	* Don't hardcode 'swig' in the Makefile (based on suggested patch by "Erik Johansson" <erik@ejohansson.se>

2014-03-10 Geert Janssens 

	* Bug 723975 - Dialog box displayed during QIF import has placeholder text

2014-03-09 Erik Johansson 

	* Fix resizing of columns in budget view

2014-03-10 Geert Janssens 

	* Saved report configuration ui tuning

2014-02-28 Carsten Rinke 

	* Update Window and Menu item from "Preconfigured-" to "Saved-" Report and add lables to the dialog with help texts

2014-03-10 Geert Janssens 

	* Fix crash as reported in bug 711567

2014-03-09 Geert Janssens 

	* Bug 721654 - Style sheet preference is not saved for a Preconfigured Report

2014-03-08 Geert Janssens 

	* Bug 725534 - Scheduled transactions columns widths not retrieved

2014-03-08 Geert Janssens 

	* Refactor state saving function out of widget destruction

2014-03-06 Christian Stimming 

	* Aqbanking: SEPA transfer improvements - fix origin labels and add possibility to edit sender's name.

2014-03-06 Christian Stimming 

	* Win32 build: Update aqbanking version numbers

2014-03-01 John Ralls 

	* Release GnuCash 2.6.2 (tag: 2.6.2)

2014-03-01 John Ralls 

	* Bug 723216 - Cannot change the accounting period using the pop-up calendar

2014-02-28 John Ralls 

	* Fix SX Editor not being able to change the Repeat type from "Until".

2014-02-27 Geert Janssens 

	* Some code refactoring to avoid duplication

2014-02-27 Geert Janssens 

	* Improve function names and comments to reduce ambibuity

2014-02-27 Geert Janssens 

	* Whitespace cleanup

2014-02-27 Geert Janssens 

	* Bug 724753 - Saved Multicolumn Report Error

2014-02-26 Jeremy King 

	* Bug 725131 - Adding Payments to Fancy Invoice

2014-02-23 Robert Fewell 

	* Bug 721472 - Fix Reconcile description column.

2014-02-23 John Ralls 

	* Revert "Bug 721822 - GnuCash 2.6.0 loads data file much slower than 2.4.x"

2014-02-23 Mike Alexander 

	* Fix compilation errors.

2014-02-22 John Ralls 

	* Bug 721822 - GnuCash 2.6.0 loads data file much slower than 2.4.x

2014-02-22 John Ralls 

	* Bug 722123 - Zero price entry added to price database on stock purchase

2014-02-22 Mike Alexander 

	* Fix still more overflow problems.

2014-02-22 Geert Janssens 

	* Bug 497831 - Can't change the date of a transaction with certain locales

2014-02-22 John Ralls 

	* Bug 724211 - Can't select march 6 date on register

2014-02-21 Geert Janssens 

	* Fix GLib assert on windows when entering a date in dst

2014-02-20 Mike Alexander 

	* Minor optimization.

2014-02-20 Mike Alexander 

	* Add XCode project for debugging.

2014-02-19 Mike Alexander 

	* Count money used in a spin-off as money out of the stock account.

2014-02-19 Mike Alexander 

	* Exclude income transfered to an asset account and back again from money in.

2014-02-18 Mike Alexander 

	* Remove the "ignore parent or sibling" option entirely. It is unlikely to come back and interferes with other changes I want to make.

2014-02-19 Geert Janssens 

	* Restructure dbd driver search path determination

2014-02-19 Mike Alexander 

	* Fix an uninitialized variable error.

2014-02-18 Geert Janssens 

	* Fix compilation error on Windows

2014-02-18 Geert Janssens 

	* Bug 724578 - Problems clearing incompletely paid invoices

2014-02-17 Geert Janssens 

	* Rework payment dialog to better guide the user

2014-02-17 Geert Janssens 

	* Fix 'Assign As Payment' feature

2014-02-09 Sébastien Villemot 

	* Fix detection of DBD modules for multiarch setups.

2014-02-17 Geert Janssens 

	* Remove obsolete, unused gsettings schema

2014-02-17 John Ralls 

	* Bug 722903 - Poor performance of account hierarchy, budgets, reconcile window,...

2014-02-16 Geert Janssens 

	* Add note for the new Swedish account file

2014-02-16 Geert Janssens 

	* Bug 724426 - Errors in account plan

2014-02-16 Geert Janssens 

	* Bug 724427 - New account plan for Sweden

2014-02-16 John Ralls 

	* Rename README.svn to README.git and revise

2014-02-16 Mike Alexander 

	* Got some parens in the wrong place.

2014-02-15 Mike Alexander 

	* Improve calculations of income and money in to the share account. Remove the "ignore siblings and parent" option since it isn't needed now.

2014-02-15 Geert Janssens 

	* Bug 721677 - Customer Summary does not include inactive customers

2014-02-15 Geert Janssens 

	* Harmonize whitespace

2014-02-13 Mike Alexander 

	* Fix reported problems in the Advanced Portfolio report.

2014-02-11 Mike Alexander 

	* Fix some comments.

2014-02-09 Mike Evans 

	* Bug 723644.

2014-02-08 Cristian Marchi 

	* Update Italian translation.

2014-02-05 Derek Atkins 

	* remove DOT_FONTNAME setting; FreeSans isn't included anymore, and we don't even use "dot"

2014-02-04 Christian Stimming 

	* Online transfer with SEPA: Verification with charset needs more work later.

2014-02-04 Derek Atkins 

	* Remove the 'SYMBOL_CACHE_SIZE' parameter (required for version 1.8.6)

2014-02-04 Derek Atkins 

	* Upgrade doxygen config to 1.8.3.1

2014-02-03 Cristian Marchi 

	* Update Catalan translation from the Translation Project.

2014-02-03 Cristian Marchi 

	* Test git.

2014-02-03 Christian Stimming 

	* Win32: Reduce threshold to display the "few random bits" warning.

2014-02-02 Christian Stimming 

	* Online transfer with SEPA: Add verification against allowed charset

2014-02-01 Cristian Marchi 

	* Link to help button in New Employee window the new employees section in GnuCash help.

2014-01-31 Christian Stimming 

	* Bug #723373: Don't create any sx in the since-last-run dialog if this is a read-only file.

2014-01-30 John Ralls 

	* One more type="guid" fix.

2014-01-30 John Ralls 

	* Replace type="guid" with type="new" in gnucash-xea files

2014-01-29 Mike Alexander 

	* Remove src/engine/GNCId.h, it isn't needed anymore.

2014-01-27 Mike Evans 

	* Fix comment and trailing whitespace.

2014-01-27 Mike Evans 

	* Bug 723051 Implement gncCustomerNextID in Python bindings.

2014-01-27 Geert Janssens 

	* Document the need for a gsettings backend

2014-01-26 Geert Janssens 

	* Win32: update daily_build.bat rules

2014-01-26 Geert Janssens 

	* Win32 tag builds: use existing download directory instead of copying it

2014-01-26 Geert Janssens 

	* Python bindings: open init file in read mode, not read-write

2014-01-26 John Ralls 

	* Release 2.6.1

2014-01-26 John Ralls 

	* Fix handling of gnucash.appdata.xml

2014-01-25 John Ralls 

	* Revert "Prevent gnc-commodity from marking the book dirty at file-load."

2014-01-25 Geert Janssens 

	* Add some debug output to help in debugging locale problems

2014-01-25 Geert Janssens 

	* Bug 677489 - Critical error reported when initializing an Invoice

2014-01-25 Mike Alexander 

	* Handle stocks that become worthless in the Advanced Portfolio report

2014-01-25 John Ralls 

	* Bug 721954 - Multiple Scheduled Transaction Editors

2014-01-25 John Ralls 

	* Ship src/report/jqplot/jquery.js in the tarball.

2014-01-24 John Ralls 

	* Bug 721770 - "Choose accounts to create" has no effect

2014-01-24 John Ralls 

	* Ensure that cell is pointed to the right cell when retrieving the price

2014-01-24 Cristian Marchi 

	* Make Gnome appdata file translatable (or try to...).

2014-01-24 Geert Janssens 

	* Drop some unused variables

2014-01-24 Geert Janssens 

	* Drop old ampersand subsitution in a couple of reports

2014-01-24 Geert Janssens 

	* Escape labels for jqplot charts

2014-01-24 Geert Janssens 

	* Fix make distcheck on systems that do have swig >= 2.0.10

2014-01-24 Geert Janssens 

	* Change double-click behaviour on account hierarchy

2014-01-24 Mike Evans 

	* Posting an invoice doesn't un-hide some widgets.

2014-01-23 John Ralls 

	* Prevent crashing due to unsupported locale settings

2014-01-23 Christian Stimming 

	* Cutecash: Fix aqbanking directory name change.

2014-01-23 Derek Atkins 

	* Update r23747 -- require 2.0.10 for guile2 builds, but allow older versions for guile 1.8 builds.  However if we don't have guile 2.0.10 then don't allow "make dist" to run.  This also means we wont patch the guile files unless we find swig 2.0.10.

2014-01-23 Geert Janssens 

	* Require swig 2.0.10 when building from svn/git

2014-01-22 Mike Alexander 

	* Fix unitialized variable error in r23740. Thanks to Herbert Thoma for the patch.

2014-01-22 Cristian Marchi 

	* Fix a typo.

2014-01-22 Cristian Marchi 

	* Update French translation. Patch provided by Sébastien Villemot.

2014-01-22 Geert Janssens 

	* Win32: don't apply swig patch on this platform

2014-01-22 Geert Janssens 

	* Bug 721211 - Reconciliation checkboxes fail to sync for split transactions across sub-accounts

2014-01-22 Geert Janssens 

	* Bug 721306 - Account hierarchy column widths are reset when restarting a second time without changing the widths

2014-01-22 John Ralls 

	* Bug 722123 - Zero price entry added to price database on stock purchase

2014-01-22 John Ralls 

	* Bug 721464 - Program won’t open the website link

2014-01-21 Christian Stimming 

	* Updated German translation, by Mechtilde Stehmann.

2014-01-21 Cristian Marchi 

	* Small update for the Italian translation.

2014-01-21 Cristian Marchi 

	* Update Danish translation from the translation project.

2014-01-21 Cristian Marchi 

	* Update Catalan translation from the translation project.

2014-01-21 Mike Alexander 

	* Fix r23732.  By the time we get to inner_main it's too late to call gnc_prefs_init. By then the main window has been created so it doesn't get hooked into the prefs system. One symptom of this is that the "tab position" pref doesn't affect that window.

2014-01-20 John Ralls 

	* Prevent gnc-commodity from marking the book dirty at file-load.

2014-01-20 John Ralls 

	* Bug 721966 - --add-price-quotes ignoring compress files preference

2014-01-20 John Ralls 

	* Bug 721913 - Fetch Rate crashes application

2014-01-20 John Ralls 

	* Fix typo from r23726

2014-01-20 Mike Alexander 

	* Advanced Portfolio: Tweak the rounding a bit more for bug #553020. Also fixed some debugging messages.

2014-01-20 Mike Alexander 

	* Fix rounding problems in conversions.  Fixes bug #454827.

2014-01-20 John Ralls 

	* Extract function check_readonly_threshold

2014-01-20 John Ralls 

	* Protect GDateTime from getting an out-of-range year at creation.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Use the correct function to get today's date.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Don't leak prices.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Don't print footnotes if the account that needs them isn't included.

2014-01-19 John Ralls 

	* Fix configure's use of gnc-scm-info for out-of-tree builds.

2014-01-19 John Ralls 

	* Replace pow(10, foo) with array dereference

2014-01-19 Geert Janssens 

	* Win32: update swig to 2.0.11 to fix the build after commit 23702

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Remove the "latest before" price source. It's not implemented and could easily be added back if it ever is implemented. This will break any saved report using this price source, but they are broken already.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Try harder to find a price and use the one it claims to be using.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Fix realized gain calculation and handling of brockerage fees.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Fix the basis calculations.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Use the more common LIFO name for the basis method.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Fix a bug in the code that detects a spin-off.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Eliminate all overflow problems.

2014-01-19 Mike Alexander 

	* Advanced Portfolio: Add some more debugging output.

2014-01-19 Mike Alexander 

	* Make various reports work with the "average cost" price source. THe Portfolio report crashed and several othsrs used "nearest" instead.

2014-01-19 Mike Alexander 

	* Don't leak prices in the (non-advanced) portfolio report.

2014-01-19 Mike Alexander 

	* Remove the max_count test in gnc_plugin_page_report_name_changed. This limits the total number of times it can be called per invocation of GnuCash for no obvious reason.

2014-01-18 John Ralls 

	* Ensure struct tm is zeroed before passing it to gnc_tm_get_today_start

2014-01-18 John Ralls 

	* Bug 721791 - Segmentation fault when correcting invalid date

2014-01-18 Cristian Marchi 

	* Bug 605991 Help button on New and Edit Job dialogs brings up wrong help page. With this patch I linked almost all business features to corresponding help pages. For features not yet documented, the button will open the initial chapter of the business section.

2014-01-18 Cristian Marchi 

	* Update Catalan translation, copied from the Translation Project.

2014-01-18 Cristian Marchi 

	* Update Italian translation.

2014-01-18 Geert Janssens 

	* Bug 721600 - Segmentation fault on startup if report Income/Expense Chart was opened since last running

2014-01-17 John Ralls 

	* Bug 722035 - Missing space in the Spanish translation of msgid "Total For "

2014-01-17 John Ralls 

	* Bug 721576 - Gnucash can not work with files, that have russian symbols in path.

2014-01-16 John Ralls 

	* Bug 555182 - Security Type template hidden

2014-01-15 Christian Stimming 

	* Update cmake/cutecash build, adding the recently newly introduced file

2014-01-13 John Ralls 

	* Bug 721290 - SX Editor: Pressing "Enter" too soon hides transaction

2014-01-13 John Ralls 

	* Extract function update_info.

2014-01-13 John Ralls 

	* Extract function change_account_separator.

2014-01-13 John Ralls 

	* Extract function create_blank_split.

2014-01-13 John Ralls 

	* Bug 555182 - Security Type template hidden

2014-01-12 Christian Stimming 

	* Fix build for aqbanking with version number > 5.2.0

2014-01-12 Christian Stimming 

	* Win32 build: Update aqbanking to most recent version 5.3.0

2014-01-12 Christian Stimming 

	* Win32 build: Remove support for aqbanking < 5.x because 5.x has been released since 2010 by now.

2014-01-11 J. Alex Aycinena 

	* Update txf.scm for 2013 US Income Tax for,/schedule changes

2014-01-10 John Ralls 

	* Bug 721667 - Accelerator key map loaded from one file and saved

2014-01-10 Mike Evans 

	* Bug 721929 - Importing a customer list causes a crash.

2014-01-10 Mike Evans 

	* Split long line.

2014-01-09 John Ralls 

	* Bug 721608 - Supported Platforms list in 2.6.0 README.txt

2014-01-08 Cristian Marchi 

	* Bug #721607 and #721608: fix GnuCash version numbers and remove/update links.

2014-01-07 Christian Stimming 

	* Win32 build: Update libofx version to use latest bugfixes there

2014-01-05 John Ralls 

	* Bug 721251 - Incorrect Transaction Dates

2014-01-02 Christian Stimming 

	* Win32: Update gwenhywfar/aqbanking/gnutls with recent versions.

2014-01-02 Christian Stimming 

	* Update aqbanking code for latest aqbanking development.

2014-01-02 Christian Stimming 

	* For aqbanking, take into account the actual purpose line length that is given from aqbanking.

2014-01-02 Mike Evans 

	* Fix issue with Python bindings.

2013-12-31 John Ralls 

	* Bug 721260 - Crash on startup: gnucash cannot handle default locale

2013-12-31 John Ralls 

	* Fix another broken build

2013-12-28 John Ralls 

	* Release 2.6.0

2013-12-28 John Ralls 

	* Add new files to POTFILES.in

2013-12-28 Mike Evans 

	* A couple more edits.

2013-12-28 Mike Evans 

	* Update Last Translator and removed cruft.

2013-12-28 Mike Evans 

	* Update Amercan -> British translations.

2013-12-27 Geert Janssens 

	* Update gnome appdata file to pass validity check

2013-12-27 Cristian Marchi 

	* Update French translations thanks to Sébastien Villemot.

2013-12-27 Cristian Marchi 

	* Update Lithuanian translation. Thanks to Aurimas Fišeras.

2013-12-26 Geert Janssens 

	* Prevent gnc-numeric overflow in advanced portfolio report

2013-12-26 Cristian Marchi 

	* Update Italian translation.

2013-12-26 Geert Janssens 

	* Fix compile warning introduced in r23602

2013-12-26 Geert Janssens 

	* Bug 720646 - New Book Tabs on Windows

2013-12-26 Geert Janssens 

	* Don't create a second account hierarchy page when cancelling the Hierarchy Assistant

2013-12-26 Geert Janssens 

	* Make "New Book Options" dialog transient for its caller where possible

2013-12-25 John Ralls 

	* Add plugin example to plugins

2013-12-24 Geert Janssens 

	* Use same name for dialog and menu related to preconfigured reports

2013-12-24 Geert Janssens 

	* Revert "Bug 720646 - New Book Tabs on Windows"

2013-12-24 Geert Janssens 

	* Bug 720646 - New Book Tabs on Windows

2013-12-24 John Ralls 

	* Make the date help string translatable

2013-12-23 Geert Janssens 

	* Fix some warnings while creating a new book

2013-12-23 Geert Janssens 

	* Prevent account hierarchy assistant from opening a second account hierarchy upon completion

2013-12-23 John Ralls 

	* Bug 710823 - libofx can supply broken UTF-8 for account id

2013-12-22 John Ralls 

	* Bug 710824 - GnuCash should sanitise UTF-8 before serialising files

2013-12-22 Mike Alexander 

	* Update .gitignore to include recently added config macros.

2013-12-22 Mike Alexander 

	* Load old version 1 XML files without crashing.

2013-12-22 Geert Janssens 

	* Bug 720556 - The Tip of the Day preference isn't getting saved

2013-12-21 Cristian Marchi 

	* More update to Italian translation.

2013-12-21 Geert Janssens 

	* Drop double blanks from gschema strings.

2013-12-21 Geert Janssens 

	* Reset Warnings dialog: show translated warnings

2013-12-20 John Ralls 

	* Fix up and update strawberry perl URIs

2013-12-20 Cristian Marchi 

	* Another update to Italian Translation.

2013-12-20 John Ralls 

	* Suppress other register's blank transactions from General Ledger

2013-12-20 John Ralls 

	* Bug 720555 - General Ledger - Can't Enter Transaction Amounts

2013-12-20 John Ralls 

	* Bug 157247 - Asset account's "total" value should use most recent transaction prices

2013-12-20 John Ralls 

	* Extract-method on gnc_split_register_auto_calc

2013-12-20 John Ralls 

	* Rewrite apparently confusing comment.

2013-12-18 Cristian Marchi 

	* Update Dutch translation, copied from the Translation Project.

2013-12-18 Cristian Marchi 

	* Updated Lithuanian translation provided by Aurimas Fišeras.

2013-12-16 Geert Janssens 

	* Add missing macros to distribution and silence libtool warning

2013-12-15 Frank H. Ellenberger 

	* [23570] there was still one "_JP" although currently commented out

2013-12-15 John Ralls 

	* Change guide and help translation directories

2013-12-15 John Ralls 

	* Release 2.5.10

2013-12-15 John Ralls 

	* Rename some directories in src/import-export

2013-12-15 John Ralls 

	* Move gnc-warnings.c from POTFILES.skip to POTFILES.ignore

2013-12-15 John Ralls 

	* Fix ax_pkg_swig.m4 filename.

2013-12-15 John Ralls 

	* Revert a stray, unrelated change from r23556

2013-12-15 John Ralls 

	* BUG 336843 (Attach images/files/urls to transactions):

2013-12-15 John Ralls 

	* Fix missing xaccTransCommitEdit() from r23466

2013-12-14 John Ralls 

	* Bug 619478 - Build warning in html/gnc-html-webkit.c

2013-12-14 Geert Janssens 

	* SWIG version updates

2013-12-14 Geert Janssens 

	* Guile 1.8 fixes for r23556 and r23557

2013-12-13 Cristian Marchi 

	* Update Italian translation.

2013-12-13 Geert Janssens 

	* Bug 719481 - GnuCash report crashes with Guile2

2013-12-13 Geert Janssens 

	* Use scm_[to/from]_utf8_string instead of scm_[to/from]_locale_string as per guile recommendation

2013-12-13 Mike Evans 

	* Move customer, bill, and invoice importers form the business menu to the file menu.

2013-12-13 Mike Evans 

	* Remove empty file.

2013-12-13 Frank H. Ellenberger 

	* Fix of [23550]: Translator comments don't like empty comment lines.

2013-12-13 Frank H. Ellenberger 

	* Update translation into Arabic language to 44% completion on trunk by عبدالسلام عبدالعزيز <ashalash@msn.com>

2013-12-12 Frank H. Ellenberger 

	* Tell translators where to adjust their credits.

2013-12-12 Mike Alexander 

	* Ignore missing accounts in gnc:filter-accountlist-type to avoid an assert.

2013-12-12 Mike Alexander 

	* Ignore XCode projects

2013-12-12 Mike Alexander 

	* Check for null account pointers in gnc_tree_view_account_set_selected_accounts.

2013-12-11 Frank H. Ellenberger 

	* Port of "Completion of translation into Arabic language by 55%" by abdulsalam alshilash

2013-12-11 Frank H. Ellenberger 

	* Appendix to [23539] update POTFILES.in

2013-12-11 Geert Janssens 

	* Build svn releases with documentation from a matching branch

2013-12-11 Geert Janssens 

	* Bug 720235 - Python bindings should load environment file just like gnucash does

2013-12-10 Mike Alexander 

	* Fix r23536: got the 'closing keyword wrong in a couple of places

2013-12-10 Mike Alexander 

	* Change various reports to find book closing transactions without pattern matching

2013-12-10 Mike Alexander 

	* Add the ability to search for transactions that are, or are not, book closing entries.

2013-12-10 Geert Janssens 

	* Ensure that opening an existing book never opens an empty main window.

2013-12-10 John Ralls 

	* Bug 705714 - QIF Import - File selection pop-up is not on top during qif import

2013-12-10 John Ralls 

	* QifImport: Fix crash from attempting to import an empty file.

2013-12-10 John Ralls 

	* Qif Import Assistant: Don't disable the whole dialog, just the Forward button

2013-12-09 John Ralls 

	* Bug 632588 - Scrub doesn't fix missing currency

2013-12-09 John Ralls 

	* Fix missing identifier from r23520

2013-12-08 Geert Janssens 

	* Fix (harmless) report warnings as reported in bug 639371

2013-12-08 Geert Janssens 

	* Long term fix for wrong version number part of bug 639371

2013-12-08 Geert Janssens 

	* Remove obsolete conditional that's never triggered anymore

2013-12-08 Cristian Marchi 

	* Updated French translation and glossary, thanks to Sébastien Villemot.

2013-12-08 Geert Janssens 

	* Fix report background image loading on Windows

2013-12-07 Frank H. Ellenberger 

	* Bug 711317 - Indian Rupee Symbol appears as "?" marks

2013-12-07 John Ralls 

	* Fix missing prototype warning from r23494.

2013-12-07 Geert Janssens 

	* Bug 627575 - Stylesheet names with non-alphanumeric characters and saved-reports -- addendum

2013-12-07 Geert Janssens 

	* Bug 627575 - Stylesheet names with non-alphanumeric characters and saved-reports

2013-12-07 Mike Alexander 

	* Don't add a \n to the beginning of the split memo, account, or amount lists. Pango seems to ignore it, but it really shouldn't be there.

2013-12-07 Mike Alexander 

	* Fix bug 653594 related to check printing. This bug has two parts.  The original bug was that the wrong split is sometimes used to print the check.  In the comments a second problem was mentioned: sometimes the wrong split is omitted from the split list in formats that print all the splits.

2013-12-07 Mike Alexander 

	* Protect against null account pointers in a couple of place to avoid asserts.

2013-12-07 Mike Alexander 

	* Protect gnc_mktime against bad dates.

2013-12-05 John Ralls 

	* Test for overflow limits in gnc_numeric_add.

2013-12-05 John Ralls 

	* Handle RAND_MAX < 2^32 in get_random_gint64()

2013-12-05 Geert Janssens 

	* Multi-currency "Post invoice" improvements

2013-12-05 Geert Janssens 

	* Bug 630578 - current date instead of posting date in exchange rate, when posting a bill

2013-12-04 Geert Janssens 

	* Bug 715123 - Post invoice problem, cannot unpost

2013-12-04 Christian Stimming 

	* Fix cutecash build: Calling the iso-currencies-to-c script can directly use the unchanged .in script because we call the GUILE_EXECUTABLE directly from cmake.

2013-12-04 Frank H. Ellenberger 

	* Update german glossary

2013-12-04 Mike Alexander 

	* Fix bug 719521.  The two radio buttons were both there, but one on top of the other.

2013-12-03 Christian Stimming 

	* Fix ugly typo in string.

2013-12-03 Christian Stimming 

	* Update German translation. Still 690 to go.

2013-12-02 John Ralls 

	* Bug 719726 - Click on File -> Open seg-faults

2013-12-02 John Ralls 

	* Bug 708526 - GnuCash Crashes when opening About page

2013-12-02 John Ralls 

	* Remove src/gnome-utils/gnc-warnings.c from POTFILES.in

2013-12-02 John Ralls 

	* Protect older GCCs from -Wno-invalid-source-encoding

2013-12-02 Geert Janssens 

	* Fix python test

2013-12-02 Geert Janssens 

	* GSettings: only load backend when installed

2013-12-01 Mike Alexander 

	* Update progress bar while writing price DB as well as while reading it.

2013-12-01 John Ralls 

	* Make that Release 2.5.9

2013-12-01 John Ralls 

	* Release 2.5.90

2013-12-01 John Ralls 

	* Ensure that all KVP changes are properly marked dirty and committed.

2013-11-30 Mike Evans 

	* Bug 710871 - Python site-packages not found when not installed to default location using --prefix

2013-11-30 John Ralls 

	* Fix windows build for r23452

2013-11-29 Geert Janssens 

	* Improve cond-expand/eval-when usage based on feedback from the guile developers

2013-11-29 Geert Janssens 

	* Bug 707311 - Tax Invoice fails to open when using guile 2 - addendum

2013-11-29 Mike Evans 

	* Bug 715184 - Bill or Invoice; a new Bill gives a new Invoice

2013-11-29 Mike Alexander 

	* Try to make the python bindings tests work with an out of source tree build. This is almost ok, but it uses the schemas from the install tree.

2013-11-29 Mike Alexander 

	* Make the test-dynload test work in the X11 version on MacOSX.

2013-11-28 Christian Stimming 

	* Remove annoying extra question before overwriting transfer fields by template.

2013-11-28 Christian Stimming 

	* Update German translation. Still 790 to go, sigh.

2013-11-28 Christian Stimming 

	* Win32: Update aqbanking versions

2013-11-28 John Ralls 

	* Bug 704506 - Connection loss to mysql after resume from hibernation

2013-11-28 John Ralls 

	* test_gnc_setlocale: Print diagnostic message, replacing comment.

2013-11-28 John Ralls 

	* Stop leaking and re-inserting Split slots

2013-11-26 Geert Janssens 

	* Fix price quotes installation on Windows

2013-11-26 Geert Janssens 

	* Fix line-ending styles on a few windows scripts

2013-11-26 Geert Janssens 

	* Set proper EOL style for windows vbs script

2013-11-26 Geert Janssens 

	* Report the proper minimum version for libgoffice when not found at configure time

2013-11-26 Geert Janssens 

	* Fix several test failures under guile 2 with auto compile enabled

2013-11-26 Geert Janssens 

	* Bug 712299 - Tax Invoice with guile 2 doesn't display currency symbols (second attempt)

2013-11-26 Geert Janssens 

	* Preferences fixes

2013-11-26 Geert Janssens 

	* Guile2: fix two tests in report system

2013-11-26 Mike Alexander 

	* Work around WebKit bug 119003 by flushing events when removing a page from a window. See <https://bugs.webkit.org/show_bug.cgi?id=119003>

2013-11-25 John Ralls 

	* Fix sometime crash in test-xml-pricedb

2013-11-25 John Ralls 

	* Bug 644044 - Lots: SQL backend loses link to Gain/Loss Txn

2013-11-25 John Ralls 

	* TEMPORARY -- REBASE THIS OUT

2013-11-24 John Ralls 

	* Fix make check after r23429 broke it.

2013-11-24 John Ralls 

	* Work around Clang whining about UTF-8

2013-11-24 Christian Stimming 

	* More German translation update. Still approx. 900 strings to go...

2013-11-24 Geert Janssens 

	* When an account or budget is deleted, drop any associated saved state

2013-11-24 Geert Janssens 

	* Register2: improve sort functionality

2013-11-24 Geert Janssens 

	* Bug 710905 - Column withs, visibility, order and sort order not saved and restored

2013-11-22 Mike Alexander 

	* Update the progress bar while loading the price DB from an XML file.

2013-11-22 Cristian Marchi 

	* Update Italian translation.

2013-11-22 Geert Janssens 

	* Suppress a few harmless state file related warnings at startup

2013-11-22 Geert Janssens 

	* Win32: more consistent use of @PACKAGE@ for gnucash package name in installer script

2013-11-22 Geert Janssens 

	* Win32: remove gconf related settings from the installer script

2013-11-21 Christian Stimming 

	* i18n update: Remove some almost-duplicate strings by removing unneeded punctuation.

2013-11-21 Christian Stimming 

	* Update German translation. Slightly more translated now.

2013-11-21 Frank H. Ellenberger 

	* Fix a few doxygen errors and wanrnings.

2013-11-21 Geert Janssens 

	* Fix typos in translatable strings

2013-11-21 Mike Alexander 

	* Don't write the default currency symbol to the output file. Patch by Frédéric Perrin.

2013-11-20 Mike Evans 

	* Make bill & invoice importer and customer importer modules load by default.

2013-11-20 Geert Janssens 

	* Bug 712299 - Tax Invoice with guile 2 doesn't display currency symbols

2013-11-20 Geert Janssens 

	* Small fixes to make the Windows build work again after r23412

2013-11-20 John Ralls 

	* Bug 711289 - time zone handling is inconsistent between 2.4 and 2.5

2013-11-19 Mike Alexander 

	* Decompress zipped XML files ourself instead of letting libxml2 do it. As of version 2.9.1 it has a bug that causes it to fail to decompress certain files. See https://bugzilla.gnome.org/show_bug.cgi?id=712528 for more info.

2013-11-18 Christian Stimming 

	* Cutecash: Adapt to compiler/linker flags that are needed on Ubuntu 13.10

2013-11-18 Christian Stimming 

	* Cutecash: Adapt to recent gconf file changes.

2013-11-17 John Ralls 

	* Bug 336843: Correct Win32 Display function.

2013-11-17 Mike Alexander 

	* Add missing semicolon and only dump transaction when debugging.

2013-11-17 John Ralls 

	* Release 1.5.8

2013-11-17 John Ralls 

	* Adjust Makefile.am for new runTests.py.in

2013-11-16 Mike Alexander 

	* Turn off the scheme compiler's "possibly unbound variable" warnings. In guile 2.0 we get nearly 7500 of them loading the scheme files.

2013-11-16 Geert Janssens 

	* Remove some redundant variable definitions in Makefile.am

2013-11-16 Geert Janssens 

	* Don't distribute files generated by configure

2013-11-16 Geert Janssens 

	* Fix distcheck-hook to handle [type: ] prefixes in POTFILES.in properly

2013-11-16 Geert Janssens 

	* Don't create invoice when Duplicate invoice dialog is cancelled

2013-11-15 John Ralls 

	* Bug 336843: Attach images/files/urls to transactions.

2013-11-15 John Ralls 

	* Bug 711289: Time Zone Handling is Inconsistent between 2.4 and 2.5

2013-11-14 Geert Janssens 

	* Bug 707311 - Tax Invoice fails to open when using guile 2

2013-11-13 Geert Janssens 

	* Bug 709589 - make check fails with guile 2

2013-11-13 Geert Janssens 

	* Make python test find its test files for out of tree builds

2013-11-13 Geert Janssens 

	* Use guile/python executable as found during configure for tests and some support scripts

2013-11-13 Geert Janssens 

	* Replace all uses of GUILE_INCS with GUILE_CFLAGS

2013-11-13 Geert Janssens 

	* Improve guile testing in configure.ac

2013-11-13 Christian Stimming 

	* First update of German translation.

2013-11-13 Christian Stimming 

	* I18n message improvements: Fix typos; unify strings.

2013-11-11 Mike Alexander 

	* Collapse the two transaction currency scrubbing functions into one and fix some bugs. The most serious bug was that it would, in some cases, set the transaction's currency to a non-currency commodity.  It also sometimes set the currency directly without calling xaccTransSetCurrency which skipped a number of side effects.

2013-11-10 John Ralls 

	* Wrap budget UI strings in the translation function

2013-11-10 John Ralls 

	* Fix Application Menu Preferences Item

2013-11-08 Mike Alexander 

	* Handle multi-currency transactions in registers without a default currency. Editing a multi-currency transaction in a serach results register sometimes sets the exchange rate to 1 instead of the value you want.

2013-11-05 Christian Stimming 

	* Bug #711493: Fix unselected account that is NULL.

2013-11-05 John Ralls 

	* Update dependencies and versions

2013-11-05 Geert Janssens 

	* Enable translations on gsettings schemas

2013-11-04 Geert Janssens 

	* Bug 711294 - Gnucash repeatedly ask associated income account when import qfx file

2013-11-04 Geert Janssens 

	* Use proper conversion modifier for unsigned int

2013-11-03 John Ralls 

	* Fix broken win32 build

2013-11-03 John Ralls 

	* Release 2.5.7

2013-11-03 John Ralls 

	* Clean out log files from testing the xml backend.

2013-11-02 John Ralls 

	* Remove dialog-preferences2.c from POTFILES.in

2013-11-02 John Ralls 

	* Skip this test when building with clang

2013-11-02 John Ralls 

	* replace static string filename with generated one

2013-11-02 John Ralls 

	* Remove dead code.

2013-11-02 John Ralls 

	* Replace deprecated tempnam with a constant.

2013-11-02 John Ralls 

	* Mac: Don't append 'Gnucash' to the 'Preferences' menu item title.

2013-11-02 John Ralls 

	* Avoid critical error from trying to access an uninitialized GHash.

2013-11-02 John Ralls 

	* Fix incorrect Enum type specifier

2013-10-31 Geert Janssens 

	* Update POTFILES.in after my recent work

2013-10-31 Geert Janssens 

	* Bug 693244 - View Lots window enhancements

2013-10-31 Geert Janssens 

	* Improve visual appearance and sorting of Invoice payment dialog

2013-10-31 Geert Janssens 

	* Bug 687478 - Bills due reminder doesn't work well with credit notes

2013-10-31 Geert Janssens 

	* Bug 687479 - Automatic invoice/payment matching on posting an invoice should be an optional feature

2013-10-31 Geert Janssens 

	* Code reindentation in tests

2013-10-31 Geert Janssens 

	* Code reindentation

2013-10-30 Geert Janssens 

	* Remove now unused parameter

2013-10-30 Geert Janssens 

	* Bug 710979 - Crash in gnc_plugin_page_invoice_summarybar_position_changed

2013-10-29 Geert Janssens 

	* Some white space and comment improvements

2013-10-29 Geert Janssens 

	* Cleanup leftover from state save/restore re-implementation

2013-10-29 Geert Janssens 

	* Fix crash when deleting budget

2013-10-29 Geert Janssens 

	* Remove function that no longer adds value

2013-10-29 Geert Janssens 

	* Re-implement state save/restore functionality in gnc_tree_view

2013-10-29 Geert Janssens 

	* Move state handling code to separate file and improve on it

2013-10-29 Geert Janssens 

	* On file open, only destroy a previous session if really exists

2013-10-29 Geert Janssens 

	* Remove gnc_build_book_path from swig interface file

2013-10-29 Geert Janssens 

	* Remove some unused includes

2013-10-28 Mike Alexander 

	* Guard against bad parameter to gnc_plugin_page_invoice_summarybar_position_changed.

2013-10-28 Geert Janssens 

	* Use the symbol in iso-4217-currencies by default

2013-10-28 Frank H. Ellenberger 

	* Rename .texinfo files to .texi to get rid of the autogen.sh warning.

2013-10-27 Mike Alexander 

	* Add --with-xdg-data-dirs to specify default search path for XDG data directories.

2013-10-27 Mike Alexander 

	* Fix a typo in --with-qt3-wizard-package.

2013-10-27 Frank H. Ellenberger 

	* Bump required automake version to 1.11

2013-10-27 Mike Evans 

	* Bug 710871 - Undo my last two commits.

2013-10-26 Mike Evans 

	* Bug 710871 - Remove errant $.

2013-10-26 Geert Janssens 

	* Small XDG_DATA_DIRS improvements

2013-10-26 Geert Janssens 

	* Add off-by-one warning in comment

2013-10-26 Geert Janssens 

	* Prohibit setting budget values greater than num_periods

2013-10-25 Geert Janssens 

	* Fix save count down timer on Windows

2013-10-25 Geert Janssens 

	* Clean up preferences for pricedb-editor and price-editor

2013-10-25 Geert Janssens 

	* Configure: don't list ofx twice in selected components

2013-10-25 Geert Janssens 

	* Avoid the need for a duplicate dialog-preferences.glade

2013-10-25 Geert Janssens 

	* Register rewrite Update, revised removal update for next release. This update adds a configure option --enable-register2 which will enable the register2 changes at compile time, there are also some changes to use the Gnucash --extra parameter that displays some of the new register2 functionality for testing. Author: Robert Fewell

2013-10-25 Christian Stimming 

	* Bug #710739: Fill in field for remote bank account information also for SEPA transfers.

2013-10-25 Mike Evans 

	* Bug-710871 Fix for Python site-packages not found when not installed to default location

2013-10-25 Geert Janssens 

	* Fix window position/size saving

2013-10-24 Geert Janssens 

	* Ignore autogenerated Makefile[.in] for gschemas directories

2013-10-24 Geert Janssens 

	* Add a field to the commodity editor allowing setting the user symbol.

2013-10-24 Geert Janssens 

	* Add a user_symbol to one UT

2013-10-24 Geert Janssens 

	* Copy the test-files to the builddir, and use that in GNC_TEST_FILES

2013-10-24 Geert Janssens 

	* Use the new user_symbol property where relevant

2013-10-24 Geert Janssens 

	* Add a new user_symbol property to the Commodity class

2013-10-24 Geert Janssens 

	* Check for availability of xsltproc at configure time

2013-10-24 Geert Janssens 

	* Fix gsettings schema for commodities editor

2013-10-24 Geert Janssens 

	* Fix budget options descriptions field

2013-10-23 Geert Janssens 

	* Abort configure if --enable-ofx specified but no libofx development files found

2013-10-23 Geert Janssens 

	* Remove reference to schema that was deleted earlier

2013-10-22 Geert Janssens 

	* Revert "[PATCH] Register rewrite Update, remove update for next release."

2013-10-22 Geert Janssens 

	* [PATCH] Register rewrite Update, remove update for next release.

2013-10-22 Geert Janssens 

	* Win32: set XDG_DATA_DIRS when running the Windows installer

2013-10-22 Geert Janssens 

	* Add default-to-save timeout on save-on-changes dialog

2013-10-22 Geert Janssens 

	* Drop check for glib >= 2.14, glib >= 2.28 is already required

2013-10-22 Geert Janssens 

	* Bug 710055 - advanced portfolio report counts capital gains split as dividend

2013-10-22 Geert Janssens 

	* Set tab position when opening a new window

2013-10-22 Geert Janssens 

	* Elaborate a bit on why compile time XDG_DATA_DIRS is added to the mix

2013-10-20 Mike Alexander 

	* Use ";" as seperator characer since that's what g_key_file_get_keys wants.

2013-10-20 Mike Alexander 

	* Eliminate null entries in path lists in environment_override.

2013-10-20 Mike Alexander 

	* Use the compile time value of XDG_DATA_DIRS to set the default run time value.

2013-10-19 Geert Janssens 

	* Do not remove gnucash_core.c in clean rule

2013-10-18 Geert Janssens 

	* Fix bug 708659

2013-10-18 Geert Janssens 

	* Fix bug 668530

2013-10-17 Geert Janssens 

	* Prevent crash due to accessing a non-existent gsettings schema

2013-10-16 Geert Janssens 

	* Fix build error with clang

2013-10-16 John Ralls 

	* Bug 710311 - Missing ChangeLogs

2013-10-16 Geert Janssens 

	* Prefs migration: improve messaging

2013-10-16 Geert Janssens 

	* Prefs migration: migrate ofx and aqbanking prefs if these options were enabled at build time

2013-10-16 Geert Janssens 

	* Prefs migration: write xsl transform to migrate a pair of coordinates

2013-10-16 Geert Janssens 

	* Prefs migration: fix radiobutton prefs migration

2013-10-16 Geert Janssens 

	* Prefs migration improvements

2013-10-13 John Ralls 

	* Remove gnucash-launcher and related scripting files.

2013-10-09 John Ralls 

	* Adjust error-message tests to pass with Clang

2013-10-09 John Ralls 

	* Clean up a bunch of clang errors

2013-10-08 Geert Janssens 

	* Gnc-Prefs: make the prefs migration actually do something on Windows

2013-10-08 Geert Janssens 

	* Gnc-Prefs: fix crash in migration script on Win32

2013-10-07 Geert Janssens 

	* Gnc-Prefs: disable migration of aqbanking prefs for now

2013-10-07 Geert Janssens 

	* Gnc-Prefs: windows limits preference names to 32 characters

2013-10-07 John Ralls 

	* Release 2.5.6

2013-10-07 John Ralls 

	* Fix EXTRA_DIST typo

2013-10-07 Geert Janssens 

	* Prefs migrate: skip preferences that don't have a value set

2013-10-07 Geert Janssens 

	* Move prefs migration call from app-utils module load to inner_main

2013-10-07 Geert Janssens 

	* Fix make distcheck

2013-10-07 Geert Janssens 

	* Gnc-Prefs: add code to migrate settings from gconf to gsettings at runtime

2013-10-07 Geert Janssens 

	* Gsettings schema corrections

2013-10-07 Geert Janssens 

	* Gnc-Prefs: add convenience functions for int64 and coords typed preferences

2013-10-07 Geert Janssens 

	* Gnc-Prefs: update the windows build system to handle gsettings properly

2013-10-07 Geert Janssens 

	* Test for empty filename in addition to no filename

2013-10-07 Geert Janssens 

	* Add some debugging code to gnc-gsettings

2013-10-07 Geert Janssens 

	* Gnc-Prefs: stop using gconf as gsettings backend

2013-10-07 Geert Janssens 

	* Gnc-Prefs: rename preferences to be compliant with gsettings syntax rules

2013-10-07 Geert Janssens 

	* Properly share a variable between two source files

2013-10-07 Geert Janssens 

	* Remove remaining gconf code bits

2013-10-07 Geert Janssens 

	* Gnc-Prefs: call gnc_gui_refresh_all on changes in the general prefs group

2013-10-07 Geert Janssens 

	* Remove state saving/restoring code from new and old register code

2013-10-07 Geert Janssens 

	* Remove state saving/restoring code from gnc-tree-view

2013-10-07 Geert Janssens 

	* Gnc-Prefs: Convert gnc user warnings

2013-10-07 Geert Janssens 

	* Remove unused gconf includes, cflags and libs so far

2013-10-07 Geert Janssens 

	* Refactor gnc-tree-view based widgets such that only gnc-tree-view itself deals with gconf

2013-10-07 Geert Janssens 

	* Gnc-Prefs: cleanup gconf wiring in main summarybar

2013-10-07 Geert Janssens 

	* Gnc-Prefs: cleanup gconf wiring in report system

2013-10-07 Geert Janssens 

	* Gnc-Prefs: cleanup (most) gconf wiring in import-export

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate remaining gconf calls in check printing

2013-10-07 Geert Janssens 

	* Drop option to customize gconf_path via command line or environment variable

2013-10-07 Geert Janssens 

	* Gnc-Prefs: cleanup some remaining bits from the preferences dialog

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GncDateEdit widgets (and associated preferences)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GncPeriodSelect widgets (and associated preferences)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GncCurrencyEdit widgets (and associated preferences)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate gnc-plugin gconf machinery

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GtkRadiobutton widgets (and associated preferences)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: remove toolbar_style preference

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate date_format preference

2013-10-07 Geert Janssens 

	* Resave preferences dialog with a recent glade-3 version

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate account_separator preference (and associated GtkEntry widget)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate file history plugin

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate int-typed preferences (and GtkCombobox widgets linked to them)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GtkSpinbutton widgets (and associated preferences)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GtkCheckbutton widgets (and associated preferences) - last batch

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GtkCheckbutton widgets (and associated preferences) - second batch

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate extra_toolbuttons preference (business option)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate 24hour_clock preference and fix the code so it actually works. (It's not actively used though in GnuCash)

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate GtkCheckbutton widgets (and associated preferences) - first batch

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate all GtkFontButton widgets (default_font property)

2013-10-07 Geert Janssens 

	* Prepare preferences dialog to work with gnc-prefs instead of gconf. The actual migration will be gradually done in future commits.

2013-10-07 Geert Janssens 

	* GncDateEdit: add gobject property "time"

2013-10-07 Geert Janssens 

	* GncPeriodSelect: add gobject property active

2013-10-07 Geert Janssens 

	* GncCurrencyEdit: add gobject property mnemonic

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate search dialog and saved window geometry preferences

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate most preferences found in app-utils

2013-10-07 Geert Janssens 

	* Gnc-Prefs: migrate first preference option (first_user) to new preference system

2013-10-07 Geert Janssens 

	* Temporarily use gconf as gsettings backend

2013-10-07 Geert Janssens 

	* Amend XDG_DATA_DIRS if not installed in default prefix

2013-10-07 Geert Janssens 

	* Create gsettings schema entries for all gconf keys currently in use

2013-10-07 Geert Janssens 

	* Remove obsolete gconf setup assistant.

2013-10-07 Geert Janssens 

	* Refactor preferences

2013-10-07 Geert Janssens 

	* GSettings: add function to bind a gsettings key to a gobject property

2013-10-07 Geert Janssens 

	* GSettings: add functions to unset a key or complete schema

2013-10-07 Geert Janssens 

	* GSettings: add functions to get/set most common data types

2013-10-07 Geert Janssens 

	* GSettings: add functions to listen for changes

2013-10-07 Geert Janssens 

	* Add some initialization code for GSettings

2013-10-07 Geert Janssens 

	* Add GSettings schemas and build rules

2013-10-07 Geert Janssens 

	* Prepare for GSettings conversion

2013-10-07 Geert Janssens 

	* Use more generic parameter name to cut association with gconf

2013-10-07 Geert Janssens 

	* Whitespace cleanup, comment improvements and spelling fixes

2013-10-07 Geert Janssens 

	* Cleanup after file backend settings refactoring

2013-10-07 Geert Janssens 

	* Remove obsolete enable_euro key from gconf

2013-10-07 Geert Janssens 

	* Remove redundant call

2013-10-06 John Ralls 

	* Fix pre-glib-2.38 definition of _Q in tests

2013-10-03 John Ralls 

	* Remove ancient #if-0'd code from Engine

2013-10-03 John Ralls 

	* Work around quote change in assertion messages

2013-10-03 John Ralls 

	* Remove ancient if-0'd code from backends

2013-10-03 John Ralls 

	* Remove ancient if-0'd code from libqof

2013-10-03 John Ralls 

	* Convert - in filenames to _ for function names

2013-10-03 John Ralls 

	* Fix test broken by r23192

2013-10-01 Mike Evans 

	* Bug #699450

2013-09-30 Christian Stimming 

	* Fix typo in string (punctuation)

2013-09-28 Christian Stimming 

	* Minor improvement in message about last modification time upon opening a file.

2013-09-28 Christian Stimming 

	* Win32: Update aqbanking/gwenhywfar package versions for windows build.

2013-09-26 John Ralls 

	* Fix undeclared identifier from r23191

2013-09-24 John Ralls 

	* Bug 708700 - "make check" fails (missing glib bits)

2013-09-24 John Ralls 

	* Bug 654196 - "make check" fails when built with --enable-dbi

2013-09-24 John Ralls 

	* Bug 632362 - Unable to create "reversing transaction" again after it is removed

2013-09-24 John Ralls 

	* Fix leaking Gtkosxapplication objects.

2013-09-22 John Ralls 

	* Bug 654196 - "make check" fails when built with --enable-dbi

2013-09-21 Geert Janssens 

	* Revert r23187 "Revert dbi check"

2013-09-21 Geert Janssens 

	* Improve tab behaviour in Stock split assistant

2013-09-21 Geert Janssens 

	* Revert dbi check

2013-09-20 John Ralls 

	* Bug 654196 - "make check" fails when built with --enable-dbi

2013-09-20 Christian Stimming 

	* After opening a file, display a statusbar message with the last modification date and time.

2013-09-20 Christian Stimming 

	* Make gnc_g_date_time_new_from_unix_local() function known in header.

2013-09-20 Christian Stimming 

	* Fix memory leak due to missing free after gnc_ctime().

2013-09-20 Christian Stimming 

	* Fix erroneous memset() parameter ordering, as notified by gcc-4.6.3

2013-09-19 John Ralls 

	* Fix win32 build errors

2013-09-19 John Ralls 

	* Bug #654196 make check fails without sqlite DBD installed

2013-09-19 John Ralls 

	* Bug #704039 time zone is not respected in Windows

2013-09-18 Mike Evans 

	* Remove commented out code.

2013-09-18 Mike Evans 

	* Fix bug 699450

2013-09-17 John Ralls 

	* Bug 674862 - 2038 bug in libdbi

2013-09-17 John Ralls 

	* Modify xaccAccountChildrenEqual to not depend upon the order

2013-09-17 John Ralls 

	* Work around differing pgsql protocol and dbi name

2013-09-17 John Ralls 

	* Convert stray g_printf into PINFO

2013-09-17 John Ralls 

	* Add core-utils to backend-sql test LDADD

2013-09-15 John Ralls 

	* Re-enable dbi backend basic tests with g_tester

2013-09-14 Cristian Marchi 

	* Update Dutch translation from the translation project.

2013-09-13 John Ralls 

	* Fix up state-changing business functions

2013-09-13 John Ralls 

	* Bug #682280 - bill/invoice importer fails to save imported bills/invoices

2013-09-12 John Ralls 

	* Bug 684670 - Interest amount calculation is wrong in Sqllite3 format

2013-09-09 John Ralls 

	* Prepare 2.5.5 release

2013-09-09 John Ralls 

	* Bug 704056 - Online Banking (Online Actions) does not appear in Action menu

2013-09-04 Geert Janssens 

	* Prevent 2.4 from crashing when loading a book that was opened with 2.6 before.

2013-09-03 Geert Janssens 

	* Bug 603183 - Equity statement shows incorrect changes

2013-09-03 Geert Janssens 

	* Bug 603183 - Equity statement shows incorrect changes

2013-09-03 Geert Janssens 

	* Bug 603183 - Equity statement shows incorrect changes

2013-09-03 Geert Janssens 

	* Bug #704039 time zone is not respected on windows Author: Kuang-che Wu <kcwu@csie.org>

2013-09-03 Geert Janssens 

	* Add appdata description file to be used in Gnome's App store BP

2013-08-26 John Ralls 

	* Handle exception in set_mac_locale()

2013-08-22 Cristian Marchi 

	* Revert Persian translation update while Persion translators coordinates the translation effort.

2013-08-20 Cristian Marchi 

	* Update traditional Chinese translation thanks to Kuang-che Wu.

2013-08-20 Geert Janssens 

	* Bug 334939 - Account Report and Account Transaction Report are apparently the same, but different

2013-08-18 John Ralls 

	* Fix pointer conversion warnings on 64-bit builds

2013-08-18 Geert Janssens 

	* Add comment to document the hack for multicolumn multi-chart reports

2013-08-18 Geert Janssens 

	* Bug 704525 - When you have a mix of chart types (bar charts and pie charts)

2013-08-18 Geert Janssens 

	* Bug 704525 - When you have a mix of chart types (bar charts and pie charts)

2013-08-18 John Ralls 

	* Add Lithuanian translators to AUTHORS

2013-08-17 John Ralls 

	* Set mime-type property on AUTHORS and DOCUMENTERS

2013-08-16 John Ralls 

	* Testing: Split.c: Filter out expected error message.

2013-08-16 John Ralls 

	* Unit test Transaction.c

2013-08-16 John Ralls 

	* [Testing] Create log handlers in one step, clean up in teardown

2013-08-16 John Ralls 

	* Protect split-iterator from NULL split

2013-08-16 John Ralls 

	* Protect xaccTransIsBalanced against crashing if passed a NULL Transaction

2013-08-16 John Ralls 

	* Transaction.c: Note a bug discovered in testing.

2013-08-16 John Ralls 

	* Guard xaccTransGetRateForCommodity against NULL arguments

2013-08-16 John Ralls 

	* Split: Ignore fatal message

2013-08-15 Christian Stimming 

	* Bug #629136: Move the code that updates the sensitivity of immutable page actions from gnc_main_window_switch_page to gnc_main_window_generate_title.

2013-08-15 Christian Stimming 

	* Bug #696492: Change report name in menu or in report output to be consistent

2013-08-12 Cristian Marchi 

	* Update Persian translation, copied from the translation project.

2013-08-04 Cristian Marchi 

	* Update Lithuanian translation thanks to Aurimas Fišeras.

2013-08-04 Cristian Marchi 

	* Improve a tooltip. Patch thanks to Aurimas Fišeras.

2013-08-04 Cristian Marchi 

	* Change po files for previous patch removing double spaces. Patch thanks to Aurimas Fišeras.

2013-08-04 Cristian Marchi 

	* Remove double spaces from translatable strings. Patch submitted by Aurimas Fišeras.

2013-08-03 John Ralls 

	* Fix some uninitialized variable warnings

2013-08-03 John Ralls 

	* Bump for 2.5.4 release

2013-08-02 Cristian Marchi 

	* More consistency for UI strings. Patch by Aurimas Fišeras.

2013-08-02 John Ralls 

	* Revert "Support for querying Bitcoin/Litecoin prices via F::Q's MtGox module"

2013-08-02 Cristian Marchi 

	* Update Italian translation.

2013-08-02 John Ralls 

	* - Functions which can return null always return a Python object

2013-08-02 John Ralls 

	* Bug 704183 - ofx file import tries to match online_id against ACCTID[space]ACCTKEY even when ACCTKEY is empty

2013-08-02 John Ralls 

	* Register rewrite Update, add delete transaction up/down function. This update corrects a mistake in the removal of previous gui update. Author: Robert Fewell

2013-08-02 John Ralls 

	* Register rewrite Update, change to using original query. This update changes the model to drop the filter and sort models to use the qof query to do these parts. This is in response to the slowness of large transaction lists with the intention to load only a subset of them. This is the start and this update should result in the same out put as using the filter and sort model. Author: Robert Fewell

2013-08-02 John Ralls 

	* Register rewrite Update, added extra dates and cursor changes. This update fixes the following, allow the cursor to move between cells and make active, changed the preference for showing date entered to include reconcile date and added another option to show when transaction selected. Also added menu option to show these extra dates. Author: Robert Fewell

2013-08-01 Cristian Marchi 

	* Make CSV account import table header translatable. Patch by Aurimas Fišeras.

2013-08-01 Cristian Marchi 

	* Update Catalan translation copied from the Translation Project.

2013-08-01 John Ralls 

	* Fix report tests which fail in OSX

2013-07-14 John Ralls 

	* Bug #704185: GnuCash 2.5 doesn't build on FreeBSD

2013-07-10 Cristian Marchi 

	* Update Danish TRanslation, copied from the Translation Project.

2013-07-08 Cristian Marchi 

	* Update Lithuanian translation thanks to Aurimas Fišeras.

2013-07-08 Cristian Marchi 

	* Fix some translation issues. Author: Aurimas Fišeras.

2013-07-08 Cristian Marchi 

	* Fix translation of table headers. Author: Aurimas Fišeras.

2013-07-08 Cristian Marchi 

	* Fix typo preventing dash marker usage. Author: Aurimas Fišeras.

2013-07-07 John Ralls 

	* Bump version for 2.5.3 release

2013-07-06 John Ralls 

	* Bug 703272 - list of windows in Windows menu outdated

2013-07-06 Geert Janssens 

	* Implement Save and Save As for custom report templates

2013-07-06 Geert Janssens 

	* New function to open custom reports dialog with one report name in edit mode

2013-07-06 Cristian Marchi 

	* Better wording for Italian translation.

2013-07-06 Geert Janssens 

	* Fix windows compilation error since r23083

2013-07-05 Geert Janssens 

	* Add back translation support in combo boxes that was accidentally removed in 1286a896a66a3002e98913b9016f1dc56f7137d7

2013-07-05 Geert Janssens 

	* Fix crash when saved-reports file doesn't exist

2013-07-05 Geert Janssens 

	* A whitespace cleanup, no functional changes

2013-07-04 Cristian Marchi 

	* Update Lithuanian translation thanks to Aurimas Fišeras.

2013-07-03 Geert Janssens 

	* Bug #699686 - Startup dialog windows should be top level windows

2013-07-02 Derek Atkins 

	* Fix typo Patch from Aurimas Fišeras <aurimas@members.fsf.org>

2013-07-02 John Ralls 

	* Bug 701670: Command-V in reconcile window pastes data in register

2013-07-02 Christian Stimming 

	* Cutecash: Fix linker flags for guile so that it links again.

2013-07-02 Geert Janssens 

	* Custom reports dialog - track template guids directly in model instead of separate list

2013-07-02 Geert Janssens 

	* Require custom report template names to be unique (among other custom report templates)

2013-07-02 Geert Janssens 

	* Rework custom reports dialog

2013-07-02 Geert Janssens 

	* New function to rename a saved report

2013-07-02 Geert Janssens 

	* New functions to check for custom templates - whether a report template is a custom one - whether a report is based on a custom report

2013-07-02 Geert Janssens 

	* Define 'custom-template' property on report instances (not used yet)

2013-07-02 Geert Janssens 

	* Return guid of newly-created report template to calling function

2013-07-02 Geert Janssens 

	* Return success or failure when writing report templates to save file

2013-07-02 Geert Janssens 

	* Delete report function: use less ambiguous variable name

2013-06-30 Christian Stimming 

	* Bug #702899: Fix crash in scrubbing code

2013-06-30 Christian Stimming 

	* Bug #703305: Fix crash on entering a non-valid date.

2013-06-29 Mike Alexander 

	* Add back, and bring up to date, the debugging function qof_book_print_dirty.

2013-06-29 Mike Alexander 

	* Make it possible to post multiple invoices from the find dialog. GnuCash was crashing if you searched for all unposted invoices, selected two or more of them, and posted them.  This was because the list of invoices to be posted changed while it was being processed.  As part of fixing this the prompt for post date, due date, etc. will only be given once, not once per invoice.

2013-06-29 Mike Alexander 

	* Fix the crash that occurs when duplicating multiple invoices from Find results. The biggest problem was that it was adding an invoice's entries to both the old and the new invoice when duplicating the invoice.

2013-06-27 Geert Janssens 

	* Report system - emit warning when trying to restore named-based saved reports

2013-06-27 Geert Janssens 

	* Report system: regroup legacy functions

2013-06-27 Geert Janssens 

	* Report system legacy code cleanup

2013-06-27 Geert Janssens 

	* Lookup business reports by id instead of by name

2013-06-25 Christian Stimming 

	* Remove the unused code for feature "shift txn forward", disabled already in r18450.

2013-06-25 John Ralls 

	* Really Redo r23043 Don't print "warning" output in comparison functions.

2013-06-25 John Ralls 

	* Revert "Redo r23043 Don't print "warning" output in comparison functions."

2013-06-25 John Ralls 

	* Redo r23043 Don't print "warning" output in comparison functions.

2013-06-23 Christian Stimming 

	* Bug #700804: Add up/down buttons for ordering of transactions in register2.

2013-06-20 Christian Stimming 

	* Register2: Minor code cleanup: Rename moved_cb to uiupdate_cb. Refactor common sanity check into extra function.

2013-06-19 Christian Stimming 

	* Bug #691587: Catch scheme exceptions when converting error messages to a C string.

2013-06-19 Christian Stimming 

	* Bug #669964: Fix txn creation that forgot to set a txn currency.

2013-06-19 Christian Stimming 

	* Register2: Improve commodity/currency handling: Try to always use account_or_default_currency lookup instead of code duplication.

2013-06-19 Christian Stimming 

	* Improve transaction currency lookup by using the new account_or_default currency getter.

2013-06-19 Christian Stimming 

	* Refactor lookup of a commodity that is a currency for a specific account into general function gnc_account_or_default_currency().

2013-06-19 Christian Stimming 

	* Cutecash: Adapt cmake files to recent file moves.

2013-06-16 Christian Stimming 

	* Bug #672595: After creation of a new book, make sure to set it to dirty so that a cancelled save_as dialog leaves the book dirty.

2013-06-14 Christian Stimming 

	* Bug #700582: Enable online actions in Register2

2013-06-13 Christian Stimming 

	* Minor code cleanup (again from r23043): Don't print a warning in a comparison.

2013-06-13 Christian Stimming 

	* Minor code cleanup: Decrease verbosity of register2 that makes the debugging output unreadable.

2013-06-13 Christian Stimming 

	* Register2: Add more sanity checks when converting TreePaths from one to another.

2013-06-13 Christian Stimming 

	* Revert r23043 "Minor code cleanup: Don't print "warning" output in comparison function."

2013-06-13 Christian Stimming 

	* Had to partly revert r23045 when it comes to the PostedDate of book-closing txns.

2013-06-09 Christian Stimming 

	* Register (old+new): Duplicated transactions need a DateEntered as well.

2013-06-09 Christian Stimming 

	* Change all usage of xaccTransSetDatePostedSecs to xaccTransSetDatePostedSecsNormalized.

2013-06-09 Christian Stimming 

	* Introduce transaction setter xaccTransSetDatePostedSecsNormalized() that ignores the time-of-day part.

2013-06-09 Christian Stimming 

	* Minor code cleanup: Don't print "warning" output in comparison function.

2013-06-08 Christian Stimming 

	* Minor code cleanup: Don't use "class" as identifier.

2013-06-07 Cristian Marchi 

	* Update Catalan translation, copied from the Translation Project.

2013-06-07 Cristian Marchi 

	* Update Lithuanian translation thanks to Aurimas Fišeras.

2013-06-07 Cristian Marchi 

	* Update Italian translation

2013-06-05 Geert Janssens 

	* Report test makefiles: avoid extra softlinks for out-of-tree building

2013-06-04 Geert Janssens 

	* Update .gitignore

2013-06-04 Geert Janssens 

	* Use SCM_FILE_LINKS properly and some cleanups of report test makefiles

2013-06-04 Derek Atkins 

	* Set SCM_FILE_LINKS even if not in a separate build directory, otherwise tests fail

2013-06-03 Geert Janssens 

	* Fix distcheck and automake 1.13 build failure

2013-06-03 Geert Janssens 

	* Reports: Reduce test verbosity

2013-06-02 Geert Janssens 

	* Win32: add VERSIONINFO block to RC file and convert in into a template to be completed during configure

2013-06-02 Geert Janssens 

	* Win32: make sure RC file is actually considered for linking

2013-06-02 Geert Janssens 

	* Refactor so that we don't have to call gnc:progress functions while creating a report

2013-06-02 Geert Janssens 

	* reports: cleaned up a few methods in report-collectors

2013-06-02 Geert Janssens 

	* Reports: Deal with closing transactions.

2013-06-02 Geert Janssens 

	* reports: faster versions of category, net-barchart and net-linechart reports

2013-06-02 Geert Janssens 

	* Add test suite for standard tests

2013-06-02 Geert Janssens 

	* Log a warning if a test shows more than 100% progress.

2013-06-02 Geert Janssens 

	* Utils: Add "gnc:timepair?" function; useful for ensuring functions are called in a type-safe way. Add gnc:timepair-next-day

2013-06-02 Geert Janssens 

	* Reports: Add collector functionality for side effects.. function-state->collector; turn a function/initial state into a collector collector-do: Like collector-map, but only return the result of the first collector. 	It's assumed the other collectors are invoked for their side effects.

2013-06-02 Geert Janssens 

	* Reports: Add collector-into-list function.. turns the idea of adding stuff to a list into a collector.

2013-06-02 Geert Janssens 

	* Add some plumbing for report changes - test framework plus some utility methods

2013-06-02 Geert Janssens 

	* Add exported ids to reports.. useful for testing

2013-05-31 Geert Janssens 

	* Bug 383928 - Bad command name: Remove transaction splits

2013-05-28 Geert Janssens 

	* Update gitignore

2013-05-28 Geert Janssens 

	* Update copyright year and make it translatable

2013-05-27 John Ralls 

	* Update Changelog for 2.5.2

2013-05-27 John Ralls 

	* Update NEWS for 2.5.2 release

2013-05-26 Christian Stimming 

	* Win32 build: Update versions of gwenhywfar, aqbanking

2013-05-25 John Ralls 

	* [Bug 640962] Make check failure: test_backend_dbi

2013-05-25 John Ralls 

	* Bump version for release

2013-05-21 Geert Janssens 

	* Fix windows build after it got broken by r22982

2013-05-20 Christian Stimming 

	* Merge latest pot template from trunk into updated da.po file.

2013-05-20 Christian Stimming 

	* Copy recently updated Danish translation from 2.4 branch to trunk.

2013-05-19 Geert Janssens 

	* Register rewrite Update, bug fixes and transaction commit changes.

2013-05-18 Christian Stimming 

	* I18n: Change composed strings (report title) into fully translated string.

2013-05-18 Geert Janssens 

	* Register rewrite Update, bug fixes and allow mouse to change reconcile flag.

2013-05-18 Geert Janssens 

	* Register rewrite Update, bug fixes and allow mouse to change reconcile flag.

2013-05-18 Geert Janssens 

	* Cleanup non-relevant comments introduced with r22825

2013-05-18 Geert Janssens 

	* Support for querying Bitcoin/Litecoin prices via F::Q's MtGox module Author:    Sam Morris <sam@robots.org.uk> BP

2013-05-18 Cristian Marchi 

	* Fix a typo in both source and po files.

2013-05-18 Cristian Marchi 

	* Update Italian translation.

2013-05-17 Geert Janssens 

	* Add script to generate a list of changes in html format between two revisions based on git log

2013-05-17 Geert Janssens 

	* Add code to generate ChangeLog from git

2013-05-15 Geert Janssens 

	* Win32 git: fetch potentially new tags before running the tags build

2013-05-15 Geert Janssens 

	* Win32 fix path to git build script for tags

2013-05-15 Geert Janssens 

	* Win32: build 2.5 tagged releases from git instead of svn

2013-05-15 Geert Janssens 

	* Fix charts on Windows

2013-05-13 Mike Evans 

	* Bug #700197 - Critical SQL backend errors when creating customers via python bindings

2013-05-12 Mike Alexander 

	* Round properly when computing fraction of the transaction's value due to a given split. Also use GNC-DENOM-AUTO instead of a constant zero when appropriate.

2013-05-10 Geert Janssens 

	* Bug #682800 Generated balances on Report different than calculated balances on Ledger when using "open subaccounts"

2013-05-10 Geert Janssens 

	* Bug #622778 Miscalculation in cashflow reports - Step 03

2013-05-10 Geert Janssens 

	* Bug #622778 Miscalculation in cashflow reports - Step 02

2013-05-10 Geert Janssens 

	* Bug #622778 Miscalculation in cashflow reports - Step 01

2013-05-10 Geert Janssens 

	* Bug #584869 net change line in general journal report broken

2013-05-10 Geert Janssens 

	* Bug #589865 In the report "Budget flow" period it doesn't work ok

2013-05-10 Geert Janssens 

	* Bug #589865 In the report "Budget flow" period it doesn't work ok

2013-05-08 Christian Stimming 

	* Add ZMW currency

2013-05-08 Christian Stimming 

	* Update German translation a bit.

2013-05-08 Christian Stimming 

	* Minor user message fixes: Spelling fix, Capitalization fix.

2013-05-08 Christian Stimming 

	* Update German glossary (a bit).

2013-05-08 Christian Stimming 

	* Fix glossary table that was mistakently using spaces instead of tabs. Update all glossary po files with the new terms.

2013-05-08 Cristian Marchi 

	* Fix some typos.

2013-05-08 Cristian Marchi 

	* Update Italian Translation.

2013-05-07 Christian Stimming 

	* Merge latest pot template from trunk into po files.

2013-05-07 Christian Stimming 

	* Copy program translations from 2.4 branch to trunk.

2013-05-07 Christian Stimming 

	* Copy glossary translations from 2.4 branch to trunk.

2013-05-05 Mike Alexander 

	* Quote the python path in case it has blanks in it.

2013-05-04 John Ralls 

	* Update ChangeLog and NEWS for 2.5.1 Release

2013-05-04 John Ralls 

	* Allow svnlog2ul.sh to run on the current working copy

2013-05-04 John Ralls 

	* Bump version to 2.5.1 for release

2013-05-04 Mike Alexander 

	* Fix test for Python to avoid error message

2013-05-04 Geert Janssens 

	* Register rewrite Update, change the default for the new register and rename old one.

2013-05-03 Geert Janssens 

	* Bug #698781 can't build with glib 2.36: error: 'g_type_init' is deprecated

2013-05-03 Geert Janssens 

	* Tests: harmonize test initialization

2013-05-03 Geert Janssens 

	* Refactor file backend settings to no longer depend on gconf

2013-05-03 Geert Janssens 

	* Move gnc-gconf-utils to app-utils

2013-05-03 Geert Janssens 

	* Add new core prefs

2013-05-03 Geert Janssens 

	* Rename gnc-main to gnc-core-prefs

2013-05-02 John Ralls 

	* Mac: Add -framework Cocoa to GTK_MAC_LIBS

2013-05-02 Geert Janssens 

	* make distcheck altered POTFILES.in

2013-05-02 Geert Janssens 

	* REST API Example for Python Bindings

2013-05-02 Geert Janssens 

	* Fix chart positioning on multi-column report

2013-05-02 Geert Janssens 

	* Register rewrite Update, this adds some preference options and fixes a tab issue.

2013-05-02 Geert Janssens 

	* Register rewrite Update, this fixes some leaks and renames some functions.

2013-05-02 Geert Janssens 

	* This update fixes the schedule of share purchase.

2013-05-02 Geert Janssens 

	* Register rewrite Update, this adds the schedule option with some other changes.

2013-04-24 Christian Stimming 

	* Finally fix the maddening long waiting times after clicking "Ok" in the import matcher window.

2013-04-22 Geert Janssens 

	* Fix compiler warning

2013-04-20 Geert Janssens 

	* Register rewrite Update, this adds the trading accounts option with some other changes.

2013-04-18 Christian Stimming 

	* String improvements: For singular form of ngettest, the %d conversion specifier can be skipped.

2013-04-17 Christian Stimming 

	* Win32 build: Update libofx to version 0.9.8

2013-04-15 Geert Janssens 

	* Fix indirect libguile dependency in bi_import plugin

2013-04-15 Geert Janssens 

	* Fix indirect libguile dependency in customer import

2013-04-15 Geert Janssens 

	* Fix indirect libguile dependency in business ledger

2013-04-14 Christian Stimming 

	* Adapt to latest split of engine-helpers.h, r22902.

2013-04-14 Christian Stimming 

	* Adapt to latest split of engine-helpers.h, r22902.

2013-04-13 Geert Janssens 

	* Commit nex file (missed it in previous commit)

2013-04-13 Geert Janssens 

	* Prevent engine's guile dependency from leaking to modules not directly using guile

2013-04-13 Geert Janssens 

	* Remove unused guile-mappings.h include instead of adding GUILE_INCS

2013-04-12 Christian Stimming 

	* Add probably missing GUILE_INCS to CPPFLAGS because table-gnome.c includes "guile-mappings.h" that includes <libguile.h>.

2013-04-12 Christian Stimming 

	* Add missing GLIB_LIBS to LDFLAGS as needed by newer gcc/libtool.

2013-04-11 Christian Stimming 

	* Win32 build: Upgrade libofx to 0.9.7 due to bug #697133 with long lines

2013-04-09 John Ralls 

	* [Bug #697402] configure doesn't find python on Debian

2013-04-08 Christian Stimming 

	* Win32 build: Disable debug output of r22877 again as it does not seem necessary anymore.

2013-04-07 John Ralls 

	* Register rewrite Update, fixes a problem with resizing columns. This update fixes a problem with resizing columns and also a missing tree free. Author: Robert Fewell

2013-04-07 John Ralls 

	* Register rewrite Update, changes the way the transaction changed dialog pops up. This update changes the way the transaction changed dialog pops up and also when you navigate to a cell it automaticly changes to allow input. Author: Robert Fewell

2013-04-07 John Ralls 

	* Register rewrite Update, adds test for old and new account register open at the same time. This update adds a test to stop opening old and new account registers at the same time. Author: Robert Fewell

2013-04-07 John Ralls 

	* Register rewrite Update, adds date accelerator and fixes duplicate transaction. This update adds the date accelerator keys to the date column and fixes the duplicate transaction option. Author: Robert Fewell

2013-04-07 John Ralls 

	* Register rewrite Update, adds print check, find, schedule and reconcile. This update changes adds the print check, find transactions, schedule transactions and reconcile options to the new register. This was done by copying the existing files and changing them to work with the new register so both new and old could work at the same time. The new find option on the accounts page has been commented out so the old one would work but has been proved to work the same as on the new registers. Also have the refresh option working which involves reloading the register by re-running the query which is also used for the search register updates. Author: Robert Fewell

2013-04-07 John Ralls 

	* Register rewrite Update, fixes for number / action column This update changes the Number / Action column from a single combo renderer to two, text renderer and combo renderer both with entry. We use the model to decide which one will be visible for each row. Also set up is the number accelerator key. Author: Robert Fewell

2013-04-07 John Ralls 

	* Register rewrite Update, fixes for duplicate and reversing transaction. This update fixes duplicate transaction and reversing transaction. Also included is a minor change to the model, added the test for unbalanced transaction along with some other dialogs. Tab key navigation has been revised but still further work. Account key seperator works along with new account creation. Author: Robert Fewell

2013-04-07 Christian Stimming 

	* Win32 build: Copy an initial logfile to the webserver when the build is started

2013-04-06 Christian Stimming 

	* Update start SVN revision of this year's ChangeLog generation

2013-04-06 Christian Stimming 

	* Update ActivePerl URL to a currently active (no pun intended) one.

2013-04-06 Christian Stimming 

	* Win32 build: Add debug output where xsltproc currently fails

2013-04-05 Christian Stimming 

	* Win32 build: Version update for libxslt, libxml2, goffice.

2013-04-04 Christian Stimming 

	* Win32 build: Switch to another libgsf version 1.4.21 that has a .tar.bz2 available

2013-04-03 Christian Stimming 

	* Win32 build: Can we get along without libgsf-gnome?

2013-04-03 Christian Stimming 

	* Win32 build: Add probably missing libgsf configure argument

2013-04-02 Christian Stimming 

	* Win32 build: Remove check for pixman lib, because that one was removed in r22813.

2013-04-02 Christian Stimming 

	* Win32 build: Increase verbosity on check for installed gnome.

2013-04-02 J. Alex Aycinena 

	* Vary some menu labels and tooltips based on cursor class: transaction or split.

2013-04-01 Christian Stimming 

	* Win32 build: Add more output for debugging.

2013-03-31 Christian Stimming 

	* Win32 build: Add some more output into log on error conditions.

2013-03-31 John Ralls 

	* Update NEWS and ChangeLogs for 2.5.0 release

2013-03-31 John Ralls 

	* Set Version to 2.5.0 for unstable release

2013-03-31 John Ralls 

	* Add libgncmod-ledger-core to satsify dependency in libgncmod-gnome.

2013-03-31 John Ralls 

	* Remove deleted calculation files from POTFILES.in

2013-03-30 John Ralls 

	* More Makefile changes to get distcheck to pass

2013-03-30 Christian Stimming 

	* Update libofx version to 0.9.6, released today

2013-03-29 John Ralls 

	* Some cleanup to get make-dist to build in the tarball

2013-03-29 John Ralls 

	* Clean out unused financial calculation stand-alone programs

2013-03-29 Christian Stimming 

	* Win32 build: Update libofx version... there was a 0.9.5 release last year.

2013-03-29 Christian Stimming 

	* Fix spell error in Russian translation, by enikulenkov.

2013-03-29 Christian Stimming 

	* Win32 build: Temporarily disable ja_JP guide htmlhelp because the hhc compiler seems to crash on this every time.

2013-03-29 John Ralls 

	* Modify the distcheck of POTFILES.skip to ignore scheme files

2013-03-26 Geert Janssens 

	* Bug #696469 - renumbering subaccounts does not preserve original order

2013-03-24 Mike Evans 

	* Prevent line break in date column on hyphen.

2013-03-24 Mike Alexander 

	* Compile md5.c with "-fno-strict-aliasing". The function md5_finish_ctx dereferences type-punned pointers which breaks strict aliasing rules.

2013-03-23 Mike Alexander 

	* One more try to get initialization right. This doesn't change things unless --add-price-quotes is given.  If it is then it must be handled before gtk is initialized since DISPLAY might not be set which will cause gtk initialization to fail.  This happens when running the X version of GnuCash from launchd on a Mac to get price quotes updated.

2013-03-22 Christian Stimming 

	* Fix erroneous conversion from time64 to struct tm because the Sunday weekday has a different number in GDateTime vs. struct tm.

2013-03-22 Christian Stimming 

	* Fix memory leaks due to localtime -> gnc_localtime replacement in r22618, r22626, r22627

2013-03-22 Christian Stimming 

	* Again reorder the initialization in gnucash-bin: gtk_init_check must be called before gnc_module_system_init.

2013-03-11 Geert Janssens 

	* Register rewrite Update

2013-03-09 Christian Stimming 

	* Bug #695423: Fix OFX Commodity Account handling.

2013-03-06 Christian Stimming 

	* Adding statement about GPLv2 and v3 license as discussed on gnucash-devel yesterday.

2013-03-03 John Ralls 

	* Mac: Adjust document path for new location

2013-03-02 Christian Stimming 

	* Win32 installer: Update version numbers for gwenhywfar, aqbanking, ktoblzcheck.

2013-03-02 Christian Stimming 

	* Minor bugfix: Guard against NULL pointer in sprintf argument.

2013-03-02 John Ralls 

	* [Bug #661832]MySQL database error after wireless reconnect

2013-03-01 Christian Stimming 

	* Fix erroneous widget lookup after a widget in the glade file has been renamed

2013-03-01 Christian Stimming 

	* Aqbanking SEPA transfer: Really test and finish the implementation.

2013-02-28 Geert Janssens 

	* Register rewrite Update.

2013-02-27 J. Alex Aycinena 

	* Replace GtkLabel with a GtkTextView within a GtkScrolledWindow for error summary for csv account import so that window doesn't get larger than screen with large error messages.

2013-02-25 Geert Janssens 

	* Winbuild: remove obsolete pixman dependency

2013-02-23 Geert Janssens 

	* Fix make check failure pointed out by Alex Aycinena

2013-02-23 Christian Stimming 

	* Aqbanking online transfer: Disable SEPA direct debit menu item again because no bank supports it.

2013-02-23 Christian Stimming 

	* Set svn:eol-style property to LF on .h and .c that did not yet have it so far.

2013-02-23 Christian Stimming 

	* Also set svn:eol-style property LF on .js files so that the files will surely have LF line endings in SVN in all cases.

2013-02-23 Mike Evans 

	* Normalise line endings of min.js files.

2013-02-22 Geert Janssens 

	* Add child functions to Account in python bindings.

2013-02-22 Geert Janssens 

	* Add tax tables lookup to python bindings.

2013-02-22 Geert Janssens 

	* Fix compile error after r22799 due to missing CFLAGS

2013-02-21 Geert Janssens 

	* jqplot line chart: make markers and grid optional again

2013-02-21 Geert Janssens 

	* Charts: improve tooltips on line and bar charts

2013-02-21 Geert Janssens 

	* Charts: source formatting

2013-02-21 Geert Janssens 

	* Drop goffice dependency from our html engine

2013-02-21 Geert Janssens 

	* Improve linechart

2013-02-21 Phil Longstaff 

	* Initial changes to budget view. 1) Splits gnc-budget-view.c/.h out from gnc-plugin-page-budget.c.  gnc-plugin-page-budget.c now creates a GncBudgetView and provides the overall UI and integration for it. 2) GncBudgetView changes:     a) If an account has children but does not have a specific budget value for a period, the sum of the children's budget values will be displayed in gray     b) Totals column on the right provides total for a budget row (account)     c) At the bottom, totals lines with total income, total expenses, total transfers (assets+liabilities) and grand total (income - expenses - transfers)

2013-02-20 Geert Janssens 

	* Improve scatterplot chart

2013-02-20 Geert Janssens 

	* Improve piechart

2013-02-20 Geert Janssens 

	* Improve jqplot's barchart renderer's barWidth and barPadding calculation

2013-02-20 Geert Janssens 

	* Define EOL style for javascript files

2013-02-20 Geert Janssens 

	* Improve barchart

2013-02-20 Geert Janssens 

	* Update to jqplot 1.0.6

2013-02-20 Geert Janssens 

	* jqplot: fix paths to js and css files

2013-02-20 Geert Janssens 

	* Fix code to find html files

2013-02-20 Geert Janssens 

	* Enable jqplot for barchart, piechart and scatterchart

2013-02-19 Christian Stimming 

	* Aqbanking online transfer: Disable the non-SEPA verification rules for SEPA transactions.

2013-02-18 Christian Stimming 

	* Aqbanking online transfer: Set the date in the gnucash txn dialog to non-sensitive.

2013-02-18 Christian Stimming 

	* Minor update for SEPA (European) online transfers (after r22445)

2013-02-16 J. Alex Aycinena 

	* Update taxtxf.scm to fix beginning balance sign and signs for Transfer From/To amounts for

2013-02-12 John Ralls 

	* Fix gnc-cdate format to match that of POSIX cdate

2013-02-08 Christian Stimming 

	* Get cutecash/C++ to compile again.

2013-02-08 Mike Evans 

	* Bug 683881 Partial implementation.

2013-02-06 Mike Alexander 

	* Avoid a crash when entering invalid dates (e.g., enter "111" for a transaction date). gnc_parse_date is ignoring the return code from qof_scan_date which causes it to send uninitialized values to gnc_mktime which crashes if the date is too ridiculous. Presumably this worked before because mktime took anything without crashing.

2013-02-05 J. Alex Aycinena 

	* Update txf.scm to reflect changes to US Income Tax Forms and Schedules for 2012.

2013-02-04 Mike Alexander 

	* Use gnc-commodity-equiv to compare commodites, not equal?

2013-02-04 Mike Alexander 

	* Allow the price quotes perl script to return multiple quotes on a single call. This makes it easier to add historical prices using a different perl script.

2013-02-04 Mike Alexander 

	* Improve HTML account table generator

2013-01-30 Mike Alexander 

	* Do a better job of calculating debit and credit fractions. Make gnc_split_register_set_cell_fractions agree with gnc_split_register_get_debcred_entry. If the account for a split changes recalculate the fractions.

2013-01-30 Mike Alexander 

	* Do a better job of prompting for an exchange rate only when needed. If the debit or credit value of a split changes, prompt for an exchange rate. Don't prompt for an exchange rate in a register that doesn't have a rate cell (and fix a bug so that it knows that portfolio registers don't have one). If the transaction has been autofilled and edited start with a nearby rate from the prices DB.  If it is an existing transaction start with the exchange rate it already has.

2013-01-22 Mike Alexander 

	* Don't store a negative reconcile interval.

2013-01-22 Geert Janssens 

	* Bug #680086 - Each Tip of the Day has an n shown at the end

2013-01-22 Geert Janssens 

	* Win32 build: add attribution for a code snippet in bootstrap

2013-01-19 J. Alex Aycinena 

	* Remove circular dependency introduced in r22681

2013-01-19 Geert Janssens 

	* Fix another eol issue

2013-01-19 Geert Janssens 

	* Win32 build: some more patchfile cleanups

2013-01-19 Geert Janssens 

	* Win32 build: rename patch files to consistently end in .patch

2013-01-19 Geert Janssens 

	* Win32 build: remove obsolete patches

2013-01-19 Geert Janssens 

	* Define line ending style for different file types

2013-01-19 Geert Janssens 

	* Bug #604520 Explain scope of find transaction tool.

2013-01-18 Geert Janssens 

	* Win32 build system: Experimental bootstrap script

2013-01-15 Geert Janssens 

	* Bug #672364 - does not properly handle XML parse errors, leading to possible data loss

2013-01-14 John Ralls 

	* Fix #638955

2013-01-13 John Ralls 

	* Fix string leak in gnc_gnome_help()

